/*
 * Serenity-IRC Services Language Format Tables: Dutch Language.
 *
 * Translated to Dutch by Remmy (July 29, 2000)
 * Based on english.h by GZ (April 2000)
 */

#ifndef DUTCH__H
#define DUTCH__H

#include "services.h"

struct FormatTable DutchReplies[] = {
/* 0 - 19 */
{ RPL_CUSTOM,		"Dit is een op maat gemaakt bericht." },
{ ERR_NEEDREGNICK,	"Je hebt een geregistreerde nick nodig voor dit commando." },
{ ERR_NEEDACTNICK,	"Je hebt een geactiveerde nick nodig voor dit commando." },
{ ERR_NEEDSRA,		"Je hebt Services Root Administrator privileges nodig voor dit commando." },
{ ERR_NEEDSERVOP,	"Je hebt Services Operator privileges nodig voor dit commando." },
{ ERR_NEEDOPER,		"Je hebt IRC Operator privileges nodig voor dit commando." },
{ ERR_UNKNOWNCOMMAND,	"Sorry, maar \002%s\002 is een commando dat ik niet ken." },
{ RPL_MOREHELP,		"Probeer \002/msg %s HELP\002 voor meer hulp met deze Service." },
{ RPL_DEBUGHEADER,	"-=- [%s Debug Informatie] -=-" },
{ RPL_DEBUGFOOTER,	"-=- [Einde van de Debug Informatie] -=-" },
{ RPL_DEBUGLINE1,	"%-15s %-15s %-15s %-15s" },
{ RPL_DEBUGLINE2,	"\002%-15s\002 %-15d %-15d %-15d" },
{ ERR_BADPARAMS,	"Je hebt te weinig argumenten voor dit commando gegeven." },
{ RPL_PASSOKAY,		"Je wachtwoord voor de nick \002%s\002 is geaccepteerd." },
{ RPL_YOUAREROOT,	"Je bent nu een \002Services Root Administrator.\002" },
{ RPL_YOUARESERVOP,	"Je bent nu een \002Services Operator.\002" },
{ RPL_NOCHANGEPASS,	"Je hebt je wachtwoord voor je nick niet recentelijk meer veranderd." },
{ RPL_MOREHELPCMD,	"Probeer \002/msg %s HELP\002 voor meer hulp met dit commando." },
{ RPL_PASSNOTOKAY,	"Het opgegeven wachtwoord is \002NIET\002 correct voor de nick \002%s\002." },
{ RPL_EMAILHACK1,	"\002LET OP!\002 Je hebt te vaak een foutief wachtwoord voor deze nick gegeven!" },
/* 20 - 39 */
{ RPL_EMAILHACK2,	"Een notificatie is per email naar de eigenaar van deze nick gestuurd." },
{ RPL_EMAILHACK3,	"\002Stop je pogingen om je te identificeren\002 tot je deze email ontvangen hebt." },
{ RPL_EMAILHACK4,	"In het geval dat je deze email niet ontvangt kan je je tot #starchat vervoegen voor verdere hulp." },
{ RPL_EMAILHACK5,	"Iedere verdere poging om je met een foutief wachtwoord te identificeren zal resulteren in \002gedwongen verwijdering van het netwerk.\002" },
{ RPL_EMAILHACK6,	"Je wordt nu van het netwerk verwijderd voor het pogen van het kraken van een nickname. Je was gewaarschuwd!" },
{ ERR_NICKNOTREGGED,	"De nick \002%s\002 is niet geregistreerd bij NickServ" },
{ RPL_INFOHEADER,	"-=[ NickServ Informatie voor \002%s\002 ]=-" },
{ RPL_INFOFOOTER,	"-=[ Einde van de NickServ Informatie ]=-" },
{ RPL_INFOBANISHED,	"Deze nick is permanent \002VERBANNEN\002 door de Serenity-IRC beheerders." },
{ RPL_INFONOWON,	"(Is NU op IRC) Voor meer informatie: /whois %s" },
{ RPL_INFODEREG,	"Deze nick is \002GEDEREGISTREERD\002 door de Serenity-IRC beheerders." },
{ RPL_INFOLASTSEEN1,	"Laatst gezien vanaf adres - %s@%s [%s]" },
{ RPL_INFOLASTSEEN2,	"Om		     - %s" },
{ RPL_INFOREGGEDON,	"Geregistreerd op    - %s" },
{ RPL_INFOEMAIL,	"Email adres	     - %s" },
{ RPL_INFOACCESS,	"Services Toegang    - %s" },
{ RPL_INFOOPTIONS,	"Geactiveerde Opties - %s" },
{ RPL_INFOMEMO,		"Memo Instellingen   - %s" },
{ RPL_INFOLINKID,	"Andere ID's	     - %s" },
{ RPL_INFOCURRENTACC,	"Huidige Toegang     - %s" },
/* 40 - 59 */
{ RPL_INFODATA,		"IRCop data	     - [kanalen: %i] [memo's: %i] [maskers: %i] [floodniveau: %i]" },
{ RPL_INFOSTATUS,	"Huidige status	     - %s" },
{ RPL_INFOREGBY,	"Geregistreerd door  - %s@%s" },
{ RPL_INFOTIMENOW,	"De tijd nu is	     - %s" },
{ ERR_NEEDID,		"Sorry, maar je moet je voor deze nick identificeren voordat je dit commando kunt gebruiken." },
{ RPL_NSETIS,		"\002%s\002 is voor deze nick ingesteld op \002%s\002." },
{ RPL_NSETNOW,		"\002%s\002 is voor deze nick nu ingesteld op \002%s\002." },
{ ERR_BADSETTING,	"Sorry, maar \002%s\002 is een mij onbekende instelling." },
{ ERR_BADPASSWORD,	"Sorry, maar dat is geen goed wachtwoord. Kies een ander alsjeblieft." },
{ RPL_PASSWORDNOW,	"Het wachtwoord voor je nick is nu ingesteld op \002%s\002." },
{ ERR_VALIDEMAIL,	"Geef alsjeblieft een geldig email adres in het formaat: gebruiker@host." },
{ ERR_NICKLIMIT,	"Sorry, maar je hebt het maximaal aantal toegestaande nick registraties bereikt. Je kunt er niet meer registreren." },
{ ERR_NOWEBMAIL,	"Sorry, maar Serenity-IRC accepteert geen gratis web gebaseerde email adressen voor het registreren van nicks." },
{ RPL_TEMPDEAC1,	"Je nick is tijdelijk gedeactiveerd om je nieuwe email adres te kunnen controleren." },
{ RPL_TEMPDEAC2,	"Om je nick weer te reactiveren wordt het zelfde proces gevolgd als toen je deze nick voor het eerst registreerde." },
{ RPL_TEMPDEAC3,	"Alle huidige instellingen voor deze nick blijven gewoon bewaard." },
{ RPL_TEMPDEAC4,	"De nieuwe registratie sleutel is verstuurd naar \002%s\002." },
{ ERR_NOMAILSENT,	"Sorry, maar de mail kon niet op het opgegeven email adres afgeleverd worden." },
{ ERR_ALREADYREG,	"Deze nick is al geregistreerd en kan niet opnieuw geregistreerd worden." },
{ ERR_NEEDTOACT,	"Deze nick is al geregistreerd en kan nu alleen geactiveerd worden met de toegezonden activatie sleutel." },
/* 60 - 79 */
{ ERR_CANNOTREGTHIS,	"Deze nick kan niet geregistreerd worden. Kies een ander alsjeblieft." },
{ ERR_BANNEDEMAIL,	"Het gebruik van dit email adres voor Serenity-IRC is \002VERBODEN\002. Kies een ander alsjeblieft." },
{ ERR_CANNOTGHOSTSELF,	"Sorry, maar je kunt je huidige nick niet om zeep helpen." },
{ ERR_NOTONLINE,	"De nick \002%s\002 is momenteel niet in gebruik; je kunt deze dus niet om zeep helpen." },
{ ERR_ACCESSDENIED,	"Sorry, je hebt niet de juiste privileges voor deze bewerking." },
{ RPL_NICKGHOSTED,	"De nick \002%s\002 is om zeep geholpen en is nu weer vrij voor gebruik." },
{ RPL_TOCHANOPS,	"\002(Ops:%s)\002 %s" },
{ RPL_AUTOSET_S,	"Dit kanaal is automatisch ingesteld op modus +s (geheim kanaal) als bescherming voor onze jongere gebruikers. Dit heeft geen enkel effect op het gebruik van het kanaal anders dan het onzichtbaar maken ervan in een lijst met de kanaal namen." },
{ RPL_NOOPSFROZEN,	"Je hebt geen operator privileges in dit kanaal. Het kanaal is \002BEVROREN\002." },
{ RPL_CHANDESC,		"(\002%s\002): %s" },
{ RPL_NOOPS,		"Sorry, je hebt geen operator privileges in dit kanaal." },
{ RPL_PING1,		"\001PING %s\001" },
{ RPL_PING2,		"\001PING %s %s\001" },
{ ERR_CHANNOTREGGED,	"Het kanaal \002%s\002 is niet geregistreerd bij ChanServ." },
{ RPL_NEXTDBSYNC,	"Volgende database synchronisatie is in %d minuten." },
{ RPL_CHANINFO1,	"-=[ ChanServ Informatie voor \002%s\002 ]=-" },
{ 76, "Je nick \002%s\002 is nu succesvol geregistreerd en geactiveerd!" },
{ 77, "Je eerste toegangsmasker is \002%s\002. Indien je meer toegangsmaskers nodig hebt," },
{ 78, "kan je deze toevoegen met: /ns \002ADDMASK\002" },
{ 79, "Het tijdstip van je registratie is: %s " },
/* 80 - 99 */
{ 80, "Het wachtwoord voor je nick is \002%s\002. Maak hier nu ergens een notitie van zodat je hem niet kwijt kunt raken." },
{ 81, "Welkom op het Serenity-IRC IRC Network! We hopen dat je veel plezier hebt zolang je hier bent!" },
{ 82, "Je nick is met succes gereactiveerd!" },
{ 83, "Deze nick is al geactiveerd. Je kan hem niet nogmaals activeren." },
{ RPL_NICKDROPPED,	"Je nick \002%s\002 is niet langer geregistreerd." },
{ RPL_YOURACCESSIS,	"Je huidige toegangsniveau is \002%i\002." },
{ RPL_CHANINFO2,	"Oprichter	      - %s" },
{ RPL_CHANINFO3,	"Omschrijving	      - %s" },
{ RPL_CHANINFO4,	"Onderwerp	      - %s (%s)" },
{ RPL_CHANINFO5,	"Opties		      - %s%s%s%s%s%s%s" },
{ RPL_CHANINFO6,	"Instellingen	      - [Topic Level: %i+] [Restrict Level: %i+] [Modus: %s]" },
{ RPL_CHANINFO7,	"Kanaal geregistreerd - %s GMT" },
{ RPL_CHANINFO8,	"Laatst gebruikt      - %s GMT" },
{ RPL_CHANINFO9,	"IRCop data	      - %s%s%s%s[Ops: %i] [Akicks: %i]" },
{ RPL_CHANINFO10,	"-=[ Einde van de ChanServ Informatie ]=-" },
{ RPL_CHANACCESS1,	"%s heeft %s privileges op %s" },
{ RPL_CHANACCESS2,	"Je hebt %S privileges op %s" },
{ ERR_NOTOPEDINCHAN,	"Je moet je met operator status in het kanaal bevinden dat je wenst te registreren." },
{ ERR_CHANALREADYREG,	"Dit kanaal is al geregistreerd. Je kunt het niet nogmaals registeren." },
{ ERR_TOMANYREGCHAN1,	"Je hebt teveel kanalen geregistreerd." },
/* 100 - 119 */
{ ERR_TOMANYREGCHAN2,	"%s heeft al teveel geregistreerde kanalen." },
{ RPL_CHANNOWREG,	"Kanaal \002%s\002 is nu geregistreerd onder je nick \002%s\002 met OPRICHTER(15) privileges." },
{ RPL_CHANREGNOTE,	"Je kanaal heeft de modus vaststaan op \002+tn-k\002 en behoud van het onderwerp staat \002AAN\002." },
{ ERR_CHANFROZEN,	"Toegang verboden. Dit kanaal is \002BEVROREN\002." },
{ ERR_NOOPON,		"%s kan niet aan de lijst met kanaal operators toegevoegd worden. Je moet aan deze persoon vragen om de nick te 'unlocken'." },
{ RPL_CHANTRANS,	"Oprichter status van \002%s\002 is overgedragen aan \002%s\002." },
{ RPL_ACCESSHEADER,	"-=[ Privilege-lijst voor \002%s\002 ]=-" },
{ RPL_ACCESSLIST1,	"Masker %i) \002%s\002" },
{ RPL_ACCESSFOOTER,	"-=[ Einde van de Privilege-lijst ]=-" },
{ ERR_NOREMOTEACC,	"Sorry, je hebt niet de juiste privileges om de privilege lijst voor \002%s\002 op te vragen." },
{ RPL_CURRENTACC,	"Het huidige privilege niveau voor %s is \002%i\002." },
{ RPL_LISTOPHEADER,	"-=[ Lijst van alle IRC Operators die Online zijn ]=-" },
{ RPL_LISTOP1,		"(%-2i) %-30s %s%s" },
{ RPL_LISTOPFOOTER,	"-=[ Einde van de Operators Lijst ]=-" },
{ ERR_BADACCMASK,	"Sorry, maar dat toegangsmasker is veel te lang." },
{ ERR_TOOMANYACCMASKS,	"Je hebt de limiet bereikt van het maximaal aantal toegestane toegangsmaskers. Verwijder er eerst een paar voor je nieuwe toevoegt." },
{ ERR_CHANAXTOOLOW,	"Je hebt te weinig privileges voor dat commando." },
{ ERR_CHANNOMOREOPS,	"Helaas pindakaas, \002%s\002 heeft het maximale aantal operators bereikt. Ik kan er niet meer toevoegen." },
{ ERR_UNKAXLEVEL,	"Het opgegeven niveau \002(%s)\002 is geen geldig niveau." },
{ ERR_NOAXCGFOUNDER,	"Sorry, \002%s\002 is de oprichter van het kanaal en dit kan niet aangepast worden op \002%s\002." },
/* 120 - 139 */
{ RPL_CHANAXCHANGE,	"Privileges voor \002%s\002 veranderd naar \002%s\002" },
{ RPL_CHANOPADDED,	"Op #%i \002%s\002 toegevoegd als \002%s\002" },
{ ERR_CHANNOMOREAKICK,	"Sorry, \002%s\002 heeft de akick limiet bereikt. Ik kan geen akicks meer toevoegen." },
{ ERR_THISEXISTS,	"Sorry, \002%s\002 bestaat al in de %s lijst." },
{ ERR_INVALIDAKICK,	"Sorry, %s is een ongeldige akick." },
{ RPL_CHANAKICKADDED,	"Akick \002%s\002 toegevoegd aan \002%s\002" },
{ ERR_NOTINOPSLIST,	"Sorry, \002%s\002 komt niet voor in de operator lijst voor \002%s\002." },
{ RPL_CHANOPDELED,	"Operator \002%s\002 verwijderd van \002%s\002." },
{ ERR_AKICKNOTEXIST,	"Sorry, \002%s\002 komt niet voor in de akick lijst voor \002%s\002." },
{ RPL_CHANAKICKDELED,	"Akick \002%s\002 verwijderd van \002%s\002" },
{ RPL_CHANOPSLISTHEAD1, "-=[ Ops lijst voor \002%s\002 ]=-" },
{ RPL_CHANOPSLISTHEAD2, "(Index) Nick				 Niveau" },
{ RPL_CHANOPSLISTDATA,	"(%-3i) %-30s [%s]" },
{ RPL_LISTSEARCHNUM,	"\002%i\002 overeenkomst gevonden in de \002%i\002 doorzochte elementen." },
{ RPL_CHANOPSLISTEND,	"-=[ Einde Ops lijst ]=-" },
{ RPL_CHANAKLISTHEAD1,	"-=[ Akick lijst voor \002%s\002 ]=-" },
{ RPL_CHANAKLISTHEAD2,	"(Index) (Masker)" },
{ RPL_CHANAKLISTHEAD3,	"(Tijd [GMT])	  (Reden)" },
{ RPL_CHANAKLISTDATA1,	"(%-3i) (%-s)" },
{ RPL_CHANAKLISTDATA2,	"(%s) (%s)" },
/* 140 - 159 */
{ RPL_CHANAKLISTEND,	"-=[ Einde Akick lijst ]=-" },
{ RPL_CHANDROP,		"Kanaal \002%s\002 is niet langer geregistreerd." },
{ ERR_NICKNOTINCHAN,	"Sorry, \002%s\002 is niet in \002%s\002." },
{ RPL_NOWCHANOPERATOR,	"Je bent nu een operator in kanaal \002%s\002." },
{ RPL_NOTCHANOPERATOR,	"Je bent niet langer een operator in kanaal \002%s\002." },
{ ERR_NOSUCHCHAN,	"Sorry, \002%s\002 bestaat niet." },
{ RPL_NUMUSERSINCHAN,	"\002%d\002 gebruikers in \002%s\002." },
{ RPL_CHANCLISTDATA,	":%s -> %s%s" },
{ ERR_MISSINGKEY,	"Je moet een sleutel (wachtwoord) opgeven om een kanaal met modus +k vast te zetten." },
{ ERR_MISSINGLIMIT,	"Om een kanaal vast te zetten met modus +l moet je ook een limiet opgeven." },
{ RPL_MLOCKSETTO,	"De modi voor \002%s\002 zijn nu vastgezet op \002%s\002." },
{ RPL_RESTRICTSETTO,	"\002%s\002 is nu alleen toegankelijk voor gebruikers van het \002%i+\002 niveau." },
{ RPL_TOPICLOCKSETTO,	"In \002%s\002 kunnen alleen gebruikers van niveau \002%i+\002 het onderwerp veranderen." },
{ RPL_CHANSETSTATUS,	"\002%s\002 voor \002%s\002 is \002%s\002." },
{ RPL_CHANSETDESC,	"De omschrijving voor \002%s\002 is: %s" },
{ RPL_CHANSETDESCCLEAR, "De omschrijving voor \002%s\002 is verwijderd." },
{ RPL_REMCHANBANS,	"Bans verwijderd: %s" },
{ RPL_CHANLIST,		"%s (%s) [%i/%i]" },
{ RPL_CHANMASSDEOP,	"DeOp'ed: %s" },
{ RPL_CHANMASSDEVOICE,	"DeVoiced: %s" },
/* 160 - 179 */
{ RPL_CHANMASSKICK,	"Massa kick uitgevoerd, \002%i\002 mensen gekicked, \002%s\002 opgeschoond." },
{ RPL_CHANMODECLEAR,	"Modeclear voor \002%s\002 was succesvol." },
{ ERR_BADMASK,		"Sorry, \002%s\002 is geen goed masker."},
{ RPL_AKILLADDED,	"%s toegevoegd voor \002%s\002 voor \002%s\002 [%s]" },
{ ERR_MASKEXISTS,	"Het masker \002%s\002 bestaat al in de %s lijst." },
{ ERR_INVALIDMODES,	"Sorry, %s is een ongeldige modus." },
{ ERR_NOSUCHSERVER,	"Sorry, ik ken deze server niet: \002%s\002." },
{ ERR_ALREADYSVSNOOP,	"Sorry, \002%s\002 is al in SVSNOOP modus." },
{ ERR_NOTSVNOOP,	"Sorry, \002%s\002 is niet in SVSNOOP modus." },
{ RPL_EKILLEMPTY,	"Dynamische EKILL lijst is leeg." },
{ RPL_EKILLHEAD,	"-=[ Dynamische Ekill lijst ]=-" },
{ RPL_EKILLDATA,	"%-25s (set by %s) %s %s" },
{ RPL_EKILLEND,		"-=[ Einde Ekill lijst ]=-" },
{ ERR_NOSUCHEKILL,	"Sorry, er is geen EKILL: \002%s\002." },
{ RPL_EKILLDELED,	"EKILL verwijderd voor \002%s\002" },
{ ERR_EKILLEXISTS,	"EKILL bestaat al: \002%s\002" },
{ RPL_EKILLADDED,	"EKILL toegevoegd voor \002%s\002." },
{ RPL_RESTARTING,	"Aan het herstarten." },
{ RPL_SHUTTINGDOWN,	"Aan het afsluiten." },
{ RPL_PERMCLONEIGNHEAD, "-=[ Perm Clone negeer lijst ]=-" },
/* 180 - 199 */
{ ERR_ACCMASKNOTADDED,	"Sorry, maar ik hebt het masker \002%s\002 niet toegevoegd omdat deze een foutief formaat heeft of al present was." },
{ RPL_ACCMASKADDED,	"Het masker \002%s\002 is met succes toegevoegd aan je toegangslijst." },
{ RPL_ACCLISTCLEARED,	"Je toegangslijst is volledig opgeschoond." },
{ RPL_ACCMASKREMOVED,	"Het masker \002%s\002 is verwijderd van je toegangslijst." },
{ ERR_ACCENTRYNOTFOUND, "Sorry, de entry #%s is niet gevonden in je toegangslijst." },
{ ERR_ACCMASKNOTFOUND,	"Sorry, het masker \002%s\002 komt niet voor in je toegangslijst." },
{ RPL_NLIST1,		"%4i: %s %s" },
{ RPL_NLIST2,		"%4i: %s!%s@%s%s" },
{ RPL_NLIST3,		"%4i: %s!%s@%s" },
{ ERR_PROPERHOST1,	"Sorry, maar je moet een hostmasker gebruiken van het formaat nick!gebruiker@host." },
{ ERR_WIDEHOST,		"Sorry, maar je masker is niet specifiek genoeg. Probeer deze zo te zetten dat deze een stuk smaller wordt." },
{ RPL_NLISTHEADER,	"-=[ Start van de Lijst (\002%s\002) ]=-" },
{ RPL_NLISTFOOTER,	"-=[ Einde van de Lijst \002%i\002 van de \002%i\002 die doorzocht waren komen overeen met het zoekcriterium \002%s\002) ]=-" },
{ ERR_NLISTEMPTY,	"Sorry, maar je zoekopdracht heeft geen enkele overeenkomst opgeleverd." },
{ RPL_NICKRELEASED,	"De nick \002%s\002 is vrijgegeven en weer beschikbaar voor gebruik." },
{ ERR_NICKNOTHELD,	"Sorry, maar de nick %s wordt momenteel niet vastgehouden door de services." },
{ ERR_BADFLAG,		"Sorry, maar \002%c\002 is een mij onbekende vlag." },
{ RPL_CHANGEDFLAGS,	"Je hebt de vlaggen voor \002%s\002 veranderd naar \002%s%s%s%s\002." },
{ RPL_BANNEDNICK,	"Je hebt de nick \002%s\002 verbannen voor ieder verder gebruik." },
{ RPL_GETPASS,		"Het wachtwoord voor de nick \002%s\002 is verstuurd naar email adres \002%s\002." },
/* 200 - 219 */
/* Ax0n: 200 - 219 */
{ RPL_PERMCLONEIGNDATA, "%i) %s" },
{ RPL_PERMCLONEIGNEND,	"-=[ Einde Perm ignore lijst ]=-" },
{ RPL_UPTIME1,		"Services zijn al" },
{ RPL_UPTIME2,		"%i dagen, %i uur, %i minuten, en %i secondes online." },
{ RPL_ALLOCSTAT1,	"smalloc() info:    %i keer aangeroepen" },
{ RPL_ALLOCSTAT2,	"sfree() info:	    %i keer aangeroepen" },
{ RPL_CLONESTATUS1,	"%s@%s heeft %i/%i clones (totaal/trigger)" },
{ RPL_CLONESTATUS2,	"%s heeft %i/%i clones (totaal/trigger)" },
{ ERR_INVALIDTRIGLEVEL, "Geef alsjeblieft een correct trigger niveau." },
{ ERR_NOSUCHTRIGGER,	"Er is niet zulk een gebruiker@host (%s@%s)." },
{ RPL_NOCLONEFLAGS,	"%s heeft geen clone vlag instellingen." },
{ RPL_HASCLONEFLAGS,	"%s heeft vlaggen: %s%s%s" },
{ ERR_PERMIGNEXISTS,	"%s wordt al permanent genegeerd." },
{ ERR_NOSUCHPERMIGN,	"%s wordt niet permanent genegeerd." },
{ ERR_UNKNOWNFLAG,	"%s is een onbekende vlag." },
{ ERR_UNKNOWHOST,	"%s is een onbekende host." },
{ ERR_NOMATCH,		"Geen overeenkomsten voor %s@%s" },
{ RPL_MAPHEAD,		"-=[ Verbonden Server lijst ]=-" },
{ RPL_MAPDATA,	"%s (%s)" },
{ ERR_PROPERHOST2,	"Sorry, maar je moet een hostmasker gebruiken van het formaat gebruiker@host." },
/* 220 - 239 */
{ RPL_GETKEY,		"De activatiesleutel voor de nick \002%s\002 is \002%s\002." },
{ RPL_GETREALPASS,	"Het wachtwoord voor de nick \002%s\002 is \002%s\002." },
{ RPL_DELETE,		"De nick \002%s\002 is uit de databases verwijderd." },
{ RPL_SAVE,		"De NickServ database is naar disk weggeschreven." },
{ ERR_ALREADYLINKID,	"Je hebt je al vanaf afstand geidentificeerd voor de nick \002%s\002." },
{ ERR_MAXLINKID,	"Je kunt je niet vanaf afstand identificeren voor meer dan \002%i\002 nicks." },
{ RPL_NICKWARN1,	"Deze nick is geregistreerd. Als deze nick jou toebehoort moet je je nu bij NickServ identificeren." },
{ RPL_NICKWARN2,	"Wanneer je je niet identificeert zal binnen 30 seconden je nick veranderd worden." },
{ RPL_NICKWARN3,	"Om je te identificeren kun je het \002IDENTIFY\002 commando gebruiken: \002/ns IDENTIFY <je wachtwoord>\002" },
{ RPL_NICKWARN4,	"Je hebt nog 15 seconden over om je te identificeren voordat je nick veranderd wordt." },
{ RPL_NICKWARN5,	"Je nick is veranderd. Gebruik alsjeblieft een nick die nog niet geregistreerd is." },
{ RPL_HELP,		"%s" },
{ RPL_YOUHAVEMEMOS,	"Je hebt \002%i\002 nieuwe memo(s) die op je wachten. (\002%i\002 totaal)" },
{ RPL_MEMO1,		"\002%2i\002. Ontvangen op %-30s [%s]" },
{ RPL_MEMO2,		"\002%s\002: %s" },
{ ERR_NOSUCHMEMO,	"Sorry, maar memo \002%i\002 bestaat niet." },
{ RPL_MLISTHEADER,	"-=[ Memo-overzicht voor \002%s\002 ]=-" },
{ RPL_MLIST1,		"\002%2i\002. Ontvangen op %-30s van \002%s\002 [%s]" },
{ RPL_MLISTFOOTER,	"-=[ Einde van memo-overzicht ]=-" },
{ ERR_MLISTEMPTY,	"Sorry, maar je memo-overzicht is leeg." },
/* 240 - 259 */
{ ERR_MEMOTOOLONG,	"Sorry, maar je memo is te lang, probeer je memo binnen \002%i\002 karakters te houden." },
{ ERR_ISNOMEMO,		"Sorry, maar \002%s\002 staat je niet toe om memo's naar hen te sturen." },
{ ERR_MEMOBOXFULL,	"Sorry, maar \002%s\002's memobox is vol. " },
{ ERR_TOOMANYMEMOS,	"Sorry, maar je hebt al teveel memo's verstuurd. " },
{ RPL_GOTNEWMEMO,	"\002%s\002 heeft je zojuist een memo toegestuurd, om deze te lezen: \002/msg MemoServ READ %i\002" },
{ RPL_SENTMEMO,		"Je memo is met succes verstuurd aan \002%s\002" },
{ ERR_ISNOFORWARD,	"Sorry, maar \002%s\002 staat je niet toe om doorgestuurde memo's naar hen te sturen." },
{ RPL_MEMOFORWARDED,	"Je hebt met succes \002%i\002 memo%s doorgestuurd aan \002%s\002", },
{ ERR_NOFWDTOSELF,	"Sorry, maar memo's doorsturen aan jezelf lijkt mij een beetje vreemd." },
{ RPL_DELMEMO,		"Je hebt \002%s\002 memo's verwijderd." },
{ RPL_DELMEMONR,	"Je hebt memo \002%i\002 verwijderd." },
{ RPL_MAPEND,		"-=[ Einde Server lijst ]=-" },
{ RPL_MMAX,		"\002%s\002 is momenteel ingesteld op \002%i\002 voor deze nick." },
{ ERR_MMAXSET,		"Sorry, maar je moet een nummer kiezen tussen\002 1\002 en \002%i\002" },
{ RPL_MMAXNOW,		"\002%s\002 is nu ingesteld op \002%i\002 voor deze nick." },
{ RPL_MFORWARD,		"Je memo's worden nu doorgestuurd naar \002%s\002." },
{ RPL_MFORWARDNOW,	"Je memo's worden nu doorgestuurd naar \002%s\002." },
{ ERR_NOFWDMEMOS,	"Sorry, maar \002%s\002 staat je niet toe om memo's naar hen te sturen." },
{ RPL_MEMOSRETRIEVED,	"Al je memo's zijn met succes per email gestuurd naar \002%s\002." },
{ ERR_MNEEDLEVEL,	"Sorry, maar je moet een niveau van channel ops specificeren." },
/* 260 - 279 */
{ RPL_SENTMEMOCHAN,	"Je memo is afgeleverd bij \002%i\002 van de \002%i\002 ontvangers." },
{ ERR_JINXEXIST,	"Sorry, maar de \002%s\002 voor \002%s\002 bestaat al." },
{ ERR_NOSUCHNICK,	"Sorry, maar \002%s\002 lijkt niet online te zijn." },
{ ERR_CANTJINXSRA,	"Sorry, maar je kan een Services Root Administrator niet jinxen." },
{ ERR_NOSUCHJINX,	"Sorry, maar er lijkt geen \002%s\002 te zijn voor \002%s\002." },
{ RPL_JINXLISTEMPTY,	"Sorry, maar er zijn op dit moment geen \002%s\002 gezet." },
{ RPL_JINXLISTHEADER,	"-=[ Lijst van alle \002%s\002 ]=-" },
{ RPL_JINXLISTFOOTER,	"-=[ Einde van \002%s\002 lijst ]=-" },
{ RPL_JINXLIST1,	"%-25s [gezet door %s] (%s) %s" },
{ RPL_JINXADDED,	"Je hebt met succes een \002%s\002 toegevoegd voor de nick \002%s\002." },
{ RPL_JINXREMOVED,	"je hebt met succes de \002%s\002 verwijderd voor de nick \002%s\002." },
{ ERR_NEEDUSERHOST,	"Sorry, maar je moet een masker specificeren in het formaat van gebruiker@host." },
{ ERR_THISISNONICKDUMMY,"Dit is een door NickServ geregistreerde '\002nick enforcer\002,' en niet een echte gebruiker." },
{ ERR_NOHELPONTHAT,	"Sorry, er is geen hulp aanwezig voor \002%s\002. Ga naar #cservice voor hulp." },
{ ERR_BADCHANNELNAME,	"Sorry, maar \002%s\002 is een ongeldige kanaal naam." },
{ RPL_CHANCLOSED,	"Het kanaal \002%s\002 is \002GESLOTEN\002." },
{ ERR_CHANNOTCLOSED,	"Het kanaal \002%s\002 is niet \002GESLOTEN\002." },
{ RPL_CHANUNCLOSED,	"Het kanaal \002%s\002 is \002HEROPEND\002." },
{ RPL_GLOBALNOTICE,	"\002Welkom bij Serenity-IRC!\002" },
{ ERR_NOTAVALIDNUMBER,  "\002%s\002 is niet een geldig getal." },
/* 280 - 299 */
{ ERR_INCORRECTUSAGE,   "Je hebt de opdracht %s verkeerd gebruikt."},
{ RPL_INFOREMARK,       "\002Opmerking #%i\002 door %s op %s: %s"},
{ RPL_DELREMARK,        "De opgegeven opmerking voor \002%s\002 is verwijderd."},
{ RPL_ADDREMARK,        "Opmerking voor \002%s\002 toegevoegd."},
{ -1, "" }
};

#endif
