/* 
 * Serenity-IRC Language Format Table: English
 *
 * Revised November 2000 - jinxi
 */

#ifndef ENGLISH__H
#define ENGLISH__H

#include "../services.h"

struct FormatTable EnglishReplies[] = {
/* 0 - 19 */
{ RPL_CUSTOM,		"Custom Message" },
{ ERR_NEEDREGNICK,	"You need to have a registered nickname." },
{ ERR_NEEDACTNICK,	"Activated nickname required." },
{ ERR_NEEDSRA,		"Services Root Administrator access required." },
{ ERR_NEEDSERVOP,	"Services Operator access required." },
{ ERR_NEEDOPER,		"IRC Operator access required." },
{ ERR_UNKNOWNCOMMAND,	"\002%s\002 is an unknown command." },
{ RPL_MOREHELP,		"\002/msg %s help\002 for assistance." },
{ RPL_DEBUGHEADER,	"[%s Debug]" },
{ RPL_DEBUGFOOTER,	"[End Debug]" },
{ RPL_DEBUGLINE1,	"%-15s %-15s %-15s %-15s" },
{ RPL_DEBUGLINE2,	"\002%-15s\002 %-15d %-15d %-15d" },
{ ERR_BADPARAMS,	"More information required." },
{ RPL_PASSOKAY,		"Password for \002%s\002 accepted." },
{ RPL_YOUAREROOT,	"\002SRA Access Granted\002" },
{ RPL_YOUARESERVOP,	"\002SO Access Granted\002" },
{ RPL_NOCHANGEPASS,	"Serenity-IRC recommends periodic nick password changes." },
{ RPL_MOREHELPCMD,	"\002/msg %s help %s\002 for assistance." },
{ RPL_PASSNOTOKAY,	"Password for \002%s\002 is incorrect." },
{ RPL_EMAILHACK1,	"\002-WARNING-\002 You are not entering the correct password." },
/* 20 - 39 */
{ RPL_EMAILHACK2,	"Correct password sent to the Email address for this nick." },
{ RPL_EMAILHACK3,	"\002-STOP-\002 attempting to identify until you view the Email." },
{ RPL_EMAILHACK4,	"Join " NETCHAN " if you do not receive the Email in 15 minutes." },
{ RPL_EMAILHACK5,	"\002-WARNING-\022 do not continue to enter the incorrect password." },
{ RPL_EMAILHACK6,	"Removed from the network for incorrect password attempts." },
{ ERR_NICKNOTREGGED,	"\002%s\002 is not a registered nickname." },
{ RPL_INFOHEADER,	"[\002%s\002 NickServ Information]" },
{ RPL_INFOFOOTER,	"[End NickServ Information]" },
{ RPL_INFOBANISHED,	"This nick cannot be used on Serenity-IRC." },
{ RPL_INFONOWON,	"[Currently on Serenity-IRC] - For more information: /whois \002%s\002" },
{ RPL_INFODEREG,	"This nick was deregistered by Serenity-IRC." },
{ RPL_INFOLASTSEEN1,	"Last Address    - %s@%s [%s]" },
{ RPL_INFOLASTSEEN2,	"Last Seen       - %s" },
{ RPL_INFOREGGEDON,	"Registered      - %s" },
{ RPL_INFOEMAIL,	"Email Address   - %s" },
{ RPL_INFOACCESS,	"Services Access - %s" },
{ RPL_INFOOPTIONS,	"Options Set     - %s" },
{ RPL_INFOMEMO,		"Memo Settings   - %s" },
{ RPL_INFOLINKID,	"Remote ID       - %s" },
{ RPL_INFOCURRENTACC,	"Current Access  - %s" },
/* 40 - 59 */
{ RPL_INFODATA,		"IRC Op Data     - [Channels: %i] [Memos: %i] [Masks: %i] [Floodlevel: %i]" },
{ RPL_INFOSTATUS,	"Current Status  - %s" },
{ RPL_INFOREGBY,	"Registered      - %s@%s" },
{ RPL_INFOTIMENOW,	"Current Time    - %s" },
{ ERR_NEEDID,		"Identify to NickServ before using that command." },
{ RPL_NSETIS,		"\002%s\002 is currently set to \002%s\002 for this nick." },
{ RPL_NSETNOW,		"\002%s\002 has now been set to \002%s\002 for this nick." },
{ ERR_BADSETTING,	"\002%s\002 is not a known setting." },
{ ERR_BADPASSWORD,	"Please choose another password." },
{ RPL_PASSWORDNOW,	"\002%s\002 is the nick password." },
{ ERR_VALIDEMAIL,	"Please specify a valid Email address in the form of user@host." },
{ ERR_NICKLIMIT,	"Serenity-IRC restricts to five (5) nick registrations per Email address." },
{ ERR_NOWEBMAIL,	"Serenity-IRC prefers non web-based Email for nick registration." },
{ RPL_TEMPDEAC1,	"Nick temporarily deactivated to verify new Email address." },
{ RPL_TEMPDEAC2,	"Reactivate nick using the activation numbers in the Email." },
{ RPL_TEMPDEAC3,	"Current settings for nick are saved." },
{ RPL_TEMPDEAC4,	"Registration key sent to \002%s\002." },
{ ERR_NOMAILSENT,	"Email could not be delivered to the specified address." },
{ ERR_ALREADYREG,	"This nick is registered and cannot be registered again." },
{ ERR_NEEDTOACT,	"This nick is registered, it can only be activated now." },
/* 60 - 79 */
{ ERR_CANNOTREGTHIS,	"This nick cannot be registered, please choose another." },
{ ERR_BANNEDEMAIL,	"This Email cannot be used on Serenity-IRC, please use another." },
{ ERR_CANNOTGHOSTSELF,	"You cannot ghost yourself." },
{ ERR_NOTONLINE,	"\002%s\002 is not being used and cannot be ghosted." },
{ ERR_ACCESSDENIED,	"Access denied." },
{ RPL_NICKGHOSTED,	"\002%s\002 ghosted and is available for use." },
{ RPL_TOCHANOPS,	"\002(Ops:%s)\002 %s" },
{ RPL_AUTOSET_S,	"This channel is set mode +s as a courtesy to our younger users. This will not affect the channel in any way, other than to make it invisible on a channel list." },
{ RPL_NOOPSFROZEN,	"This channel is frozen and does not allow channel ops." },
{ RPL_CHANDESC,		"(\002%s\002): %s" },
{ RPL_NOOPS,		"You do not have channel operator privileges in this channel." },
{ RPL_PING1,		"\001PING %s\001" },
{ RPL_PING2,		"\001PING %s %s\001" },
{ ERR_CHANNOTREGGED,	"\002%s\002 is not a registered channel." },
{ RPL_NEXTDBSYNC,	"Database synch in %d minutes." },
{ RPL_CHANINFO1,	"[\002%s\002 ChanServ Information]" },
{ 76, "\002%s\002 is registered and activated." }, 
{ 77, "\002%s\002 is your access mask. To add additional masks" },
{ 78, "type: /ns addmask" },
{ 79, "Registration time is %s " },
/* 80 - 99 */
{ 80, "\002%s\002 is your nick password." },
{ 81, "Welcome to Serenity-IRC" },
{ 82, "Nick reactivated." },
{ 83, "This nick is activated and cannot be activated again." },
{ RPL_NICKDROPPED,	"\002%s\002 is no longer registered." },
{ RPL_YOURACCESSIS,	"Access level is \002%i\002." },
{ RPL_CHANINFO2,	"Founder            - %s" },
{ RPL_CHANINFO3,	"Description        - %s" },
{ RPL_CHANINFO4,	"Topic              - %s (%s)" },
{ RPL_CHANINFO5,	"Options            - %s%s%s%s%s%s%s" },
{ RPL_CHANINFO6,	"Settings           - [Topic Level: %i+] [Restrict Level: %i+] [Mode: %s]" },
{ RPL_CHANINFO7,	"Channel Registered - %s GMT" },
{ RPL_CHANINFO8,	"Channel Last Used  - %s GMT" },
{ RPL_CHANINFO9,	"IRC Op Data        - %s%s%s%s[Ops: %i] [Akicks: %i]" },
{ RPL_CHANINFO10,	"[End ChanServ Information]" },
{ RPL_CHANACCESS1,	"%s has %s access on %s" },
{ RPL_CHANACCESS2,	"You have %s access on %s" },
{ ERR_NOTOPEDINCHAN,	"Be inside and oped in the channel you wish to register." },
{ ERR_CHANALREADYREG,	"This channel is registered and cannot be registered again." },
{ ERR_TOMANYREGCHAN1,	"Serenity-IRC restricts to five (5) registered channels per nick." },
/* 100 - 119 */
{ ERR_TOMANYREGCHAN2,	"%s has registered five (5) channels." },
{ RPL_CHANNOWREG,	"\002%s\002 is registered with \002%s\002 as founder." },
{ RPL_CHANREGNOTE,	"Channel is modelocked \002+tn-k\002 and topic preservation is set \002ON\002." },
{ ERR_CHANFROZEN,	"Access denied. This channel is frozen." },
{ ERR_NOOPON,		"%s has locked their nick and cannot be added as a channel op." },
{ RPL_CHANTRANS,	"\002%s\002 founder transferred to \002%s\002." },
{ RPL_ACCESSHEADER,	"[\002%s\002 Access List]" },
{ RPL_ACCESSLIST1,	"Mask %i) \002%s\002" },
{ RPL_ACCESSFOOTER,	"[End Access List]" },
{ ERR_NOREMOTEACC,	"Cannot list access masks for \002%s\002." },
{ RPL_CURRENTACC,	"%s current access level is \002%i\002." },
{ RPL_LISTOPHEADER,	"[IRC Operators Currently Online]" },
{ RPL_LISTOP1,		"(%-2i) %-30s %s%s" },
{ RPL_LISTOPFOOTER,	"[End IRC Operators]" },
{ ERR_BADACCMASK,       "Access mask too long." },
{ ERR_TOOMANYACCMASKS,  "Maximum number of access masks reached." },
{ ERR_CHANAXTOOLOW,	"Access too low for that command." },
{ ERR_CHANNOMOREOPS,	"\002%s\002 has reached the maximum number of channel ops." },
{ ERR_UNKAXLEVEL, 	"\002%s\002 is not a valid level." },
{ ERR_NOAXCGFOUNDER,	"\002%s\002 is founder and cannot be adjusted on \002%s\002." },
/* 120 - 139 */
{ RPL_CHANAXCHANGE,	"Changed access for \002%s\002 to \002%s\002" },
{ RPL_CHANOPADDED,	"#%i \002%s\002 added as \002%s\002" },
{ ERR_CHANNOMOREAKICK,	"\002%s\002 has reached the maximum number of akicks." },
{ ERR_THISEXISTS, 	"\002%s\002 already exists in the %s list." },
{ ERR_INVALIDAKICK,	"%s is an invalid akick." },
{ RPL_CHANAKICKADDED,	"\002%s\002 added to \002%s\002 akick list." },
{ ERR_NOTINOPSLIST,	"\002%s\002 does not exist \002%s\002 channel ops list." },
{ RPL_CHANOPDELED,	"Deleted \002%s\002 channel ops from \002%s\002." },
{ ERR_AKICKNOTEXIST, 	"\002%s\002 does not exist in the akick list for \002%s\002." },
{ RPL_CHANAKICKDELED,	"Deleted akick \002%s\002 from \002%s\002" },
{ RPL_CHANOPSLISTHEAD1,	"[\002%s\002 Channel Ops]" },
{ RPL_CHANOPSLISTHEAD2,	"(Index) Nick                            Level" },
{ RPL_CHANOPSLISTDATA,	"(%-3i) %-30s [%s]" },
{ RPL_LISTSEARCHNUM,	"\002%i\002 match of \002%i\002 elements searched." },
{ RPL_CHANOPSLISTEND,	"[End Channel Ops]" },
{ RPL_CHANAKLISTHEAD1,	"[\002%s\002 Akicks]" },
{ RPL_CHANAKLISTHEAD2,	"(Index) (Mask)" },
{ RPL_CHANAKLISTHEAD3,	"(Time [GMT])     (Reason)" },
{ RPL_CHANAKLISTDATA1,	"(%-3i) (%-s)" },
{ RPL_CHANAKLISTDATA2,	"(%s) (%s)" },
/* 140 - 159 */
{ RPL_CHANAKLISTEND,	"[End Akicks]" },
{ RPL_CHANDROP,		"\002%s\002 deleted from ChanServ registration." },
{ ERR_NICKNOTINCHAN,	"\002%s\002 is not in \002%s\002." },
{ RPL_NOWCHANOPERATOR,	"\002%s\002 channel op granted." },
{ RPL_NOTCHANOPERATOR,	"\002%s\002 channel op denied." },
{ ERR_NOSUCHCHAN,	"\002%s\002 does not exist." },
{ RPL_NUMUSERSINCHAN,	"\002%d\002 users in \002%s\002." },
{ RPL_CHANCLISTDATA,	":%s -> %s%s" },
{ ERR_MISSINGKEY,	"Specify key to mode lock a channel +k." },
{ ERR_MISSINGLIMIT,	"Specify numerical limit to mode lock a channel +l." },
{ RPL_MLOCKSETTO,	"\002%s\002 modelocked to \002%s\002." },
{ RPL_RESTRICTSETTO,	"\002%s\002 restricted to \002%i+\002 level channel ops." },
{ RPL_TOPICLOCKSETTO,	"\002%s\002 topic change restricted to \002%i+\002 level channel ops." },
{ RPL_CHANSETSTATUS,	"\002%s\002 for \002%s\002 is \002%s\002." },
{ RPL_CHANSETDESC,	"\002%s\002 description: %s" },
{ RPL_CHANSETDESCCLEAR,	"\002%s\002 description cleared." },
{ RPL_REMCHANBANS,	"Removed bans: %s" },
{ RPL_CHANLIST,		"%s (%s) [%i/%i]" },
{ RPL_CHANMASSDEOP,	"Deopped: %s" },
{ RPL_CHANMASSDEVOICE,	"Devoiced: %s" },
/* 160 - 179 */ 
{ RPL_CHANMASSKICK,	"\002%i\002 users masskicked, \002%s\002 cleared." },
{ RPL_CHANMODECLEAR,	"\002%s\002 modes cleared." },
{ ERR_BADMASK,		"\002%s\002 is an improper mask format."},
{ RPL_AKILLADDED,	"Added %s for \002%s\002 for \002%s\002 [%s]" },
{ ERR_MASKEXISTS,	"The mask \002%s\002 already exists in the %s list." },
{ ERR_INVALIDMODES,	"%s is an invalid mode list." },
{ ERR_NOSUCHSERVER,	"There is no such server \002%s\002." },
{ ERR_ALREADYSVSNOOP,	"\002%s\002 is already in SVSNOOP mode." },
{ ERR_NOTSVNOOP,	"\002%s\002 is not in SVSNOOP mode." },
{ RPL_EKILLEMPTY,	"Dynamic EKILL list is empty." },
{ RPL_EKILLHEAD,	"[Dynamic Ekills]" },
{ RPL_EKILLDATA,	"%-25s (set by %s) %s %s" },
{ RPL_EKILLEND,		"[End Dynamic Ekills]" },
{ ERR_NOSUCHEKILL,	"\002%s\002 ekill does not exist." },
{ RPL_EKILLDELED,	"\002%s\002 ekill removed." },
{ ERR_EKILLEXISTS,	"\002%s\002 ekill exists." },
{ RPL_EKILLADDED,	"\002%s\002 ekill added." },
{ RPL_RESTARTING,	"Restarting." },
{ RPL_SHUTTINGDOWN,	"Shutting Down." },
{ RPL_PERMCLONEIGNHEAD,	"[Perm Clone Ignores]" },
/* 180 - 199 */ 
{ ERR_ACCMASKNOTADDED,	"\002%s\002 not added to access list. Improper format or already present." },
{ RPL_ACCMASKADDED,	"\002%s\002 added to access list." },
{ RPL_ACCLISTCLEARED,	"Access list cleared." },
{ RPL_ACCMASKREMOVED,	"\002%s\002 removed from access list." },
{ ERR_ACCENTRYNOTFOUND, "#%s was not found in access list." },
{ ERR_ACCMASKNOTFOUND,  "\002%s\002 was not found in access list." },
{ RPL_NLIST1,		"%4i: %s %s" },
{ RPL_NLIST2,		"%4i: %s!%s@%s%s" },
{ RPL_NLIST3,		"%4i: %s!%s@%s" },
{ ERR_PROPERHOST1,	"Use a hostmask in the form of nick!user@host." },
{ ERR_WIDEHOST,		"Parameters too wide, please narrow them." },
{ RPL_NLISTHEADER,	"[Start \002%s\002]" },
{ RPL_NLISTFOOTER,	"[End \002%i\002 of \002%i\002 matched \002%s\002]" },
{ ERR_NLISTEMPTY,	"Search did not return any matches." },
{ RPL_NICKRELEASED,	"\002%s\002 is released and available for use." },
{ ERR_NICKNOTHELD,	"\002%s\002 is not held by Services." },
{ ERR_BADFLAG,		"\002%c\002 is an unknown flag." },
{ RPL_CHANGEDFLAGS,	"Flags for \002%s\002 changed to \002%s%s%s%s\002." },
{ RPL_BANNEDNICK,	"\002%s\002 banned from further use." },
{ RPL_GETPASS,		"\002%s\002 password sent to \002%s\002." },
/* 200 - 219 */
{ RPL_PERMCLONEIGNDATA,	"%i) %s" },
{ RPL_PERMCLONEIGNEND,	"[End Perm Ignores]" },
{ RPL_UPTIME1,		"Services online:" },
{ RPL_UPTIME2,		"%i days, %i hours, %i minutes, and %i seconds." },
{ RPL_ALLOCSTAT1,	"smalloc() info:    Called %i times" },
{ RPL_ALLOCSTAT2,	"sfree() info:      Called %i times" },
{ RPL_CLONESTATUS1,	"%s@%s has %i/%i clones (total/trigger)" },
{ RPL_CLONESTATUS2,	"%s has %i/%i clones (total/trigger)" },
{ ERR_INVALIDTRIGLEVEL,	"Please specify proper trigger level." },
{ ERR_NOSUCHTRIGGER,	"No such user@host (%s@%s)." },
{ RPL_NOCLONEFLAGS,	"%s has no cloneflag settings." },
{ RPL_HASCLONEFLAGS,	"%s has flags: %s%s%s" },
{ ERR_PERMIGNEXISTS,	"%s is already on permanent ignore." },
{ ERR_NOSUCHPERMIGN,	"%s is not on permanent ignore." },
{ ERR_UNKNOWNFLAG,	"Unknown flag %s." },
{ ERR_UNKNOWHOST,	"Unknown host %s." },
{ ERR_NOMATCH,		"No matches for %s@%s" },
{ RPL_MAPHEAD,		"[Connected Servers]" },
{ RPL_MAPDATA,		"%s (%s)" },
{ ERR_PROPERHOST2,	"Use a hostmask in the form of user@host." },
/* 220 - 239 */
{ RPL_GETKEY,		"Activation key for \002%s\002 is \002%s\002." },
{ RPL_GETREALPASS,	"\002%s\002 password is \002%s\002." },
{ RPL_DELETE,		"\002%s\002 removed from databases." },
{ RPL_SAVE,		"NickServ database synched to disk." },
{ ERR_ALREADYLINKID,	"\002%s\002 is already remotely identified." },
{ ERR_MAXLINKID,	"Serenity-IRC restricts remote identification to \002%i\002 nicks." },
{ RPL_NICKWARN1,	"This is a registered nick, please identify to NickServ now." },
{ RPL_NICKWARN2,	"Nick will be changed in 30 seconds if you do not identify." },
{ RPL_NICKWARN3,	"To identify, use \002/ns id <password>\002" },
{ RPL_NICKWARN4,	"Nick will be changed in 15 seconds if you do not identify." },
{ RPL_NICKWARN5,	"Nick changed. Please use a nick that is not registered." },
{ RPL_HELP,		"%s" },
{ RPL_YOUHAVEMEMOS,	"You have \002%i\002 new memo(s). (\002%i\002 total)" },
{ RPL_MEMO1,		"\002%2i\002. Received at %-30s [%s]" },
{ RPL_MEMO2,		"    \002%s\002: %s" },
{ ERR_NOSUCHMEMO, 	"Memo \002%i\002 does not exist." },
{ RPL_MLISTHEADER,	"[\002%s\002 Memos]" },
{ RPL_MLIST1,		"\002%2i\002. Received at %-30s from \002%s\002 [%s]" },
{ RPL_MLISTFOOTER,	"[End Memos]" },
{ ERR_MLISTEMPTY,	"You have no memos." },
/* 240 - 259 */
{ ERR_MEMOTOOLONG,	"Memo too long, please use less than \002%i\002 characters." },
{ ERR_ISNOMEMO,		"\002%s\002 does not accept memos." },
{ ERR_MEMOBOXFULL,	"\002%s\002's memobox is full. " },
{ ERR_TOOMANYMEMOS,	"Too many memos sent. " },
{ RPL_GOTNEWMEMO,	"\002%s\002 sent you a memo. To read: \002/ms read %i\002" },
{ RPL_SENTMEMO,		"Memo sent to \002%s\002" },
{ ERR_ISNOFORWARD,	"\002%s\002 does not accept forwarded memos." },
{ RPL_MEMOFORWARDED,	"\002%i\002 memo%s forwarded to \002%s\002." },
{ ERR_NOFWDTOSELF,	"Memos cannot be forwarded to yourself. " },
{ RPL_DELMEMO,		"Deleted \002%s\002 memos." },
{ RPL_DELMEMONR,	"Deleted memo \002%i\002." },
{ RPL_MAPEND,		"[End Servers]" },
{ RPL_MMAX,		"\002%s\002 is currently set to \002%i\002 for this nick." },
{ ERR_MMAXSET,		"Select a number between\002 1\002 and \002%i\002" },
{ RPL_MMAXNOW,		"\002%s\002 has now been set to \002%i\002 for this nick." },
{ RPL_MFORWARD,		"Memos are forwarded to \002%s\002." },
{ RPL_MFORWARDNOW,	"Memos are being forwarded to \002%s\002." },
{ ERR_NOFWDMEMOS,	"\002%s\002 does not accept redirected memos." },
{ RPL_MEMOSRETRIEVED,	"All memos Emailed to \002%s\002." },
{ ERR_MNEEDLEVEL,	"Specify channel ops level." },
/* 260 - 279 */
{ RPL_SENTMEMOCHAN,	"Memo delivered to \002%i\002 of \002%i\002 targets." },
{ ERR_JINXEXIST,	"\002%s\002 for \002%s\002 already exists." },
{ ERR_NOSUCHNICK,	"\002%s\002 is not on Serenity-IRC." },
{ ERR_CANTJINXSRA,	"Services Root Administrators cannot be jinxed." },
{ ERR_NOSUCHJINX,	"\002%s\002 for \002%s\002 does not exist." },
{ RPL_JINXLISTEMPTY,	"No \002%s\002 set." },
{ RPL_JINXLISTHEADER,   "[\002%s\002]" },
{ RPL_JINXLISTFOOTER,   "[End \002%s\002]" },
{ RPL_JINXLIST1,	"%-25s [set by %s] (%s) %s" },
{ RPL_JINXADDED,	"\002%s\002 added for \002%s\002." },
{ RPL_JINXREMOVED,	"\002%s\002 removed for \002%s\002." },
{ ERR_NEEDUSERHOST,	"Supply a mask in the form of user@host." },
{ ERR_THISISNONICKDUMMY,"NickServ Enforcer - not a real user." },
{ ERR_NOHELPONTHAT,	"No help available for \002%s\002. Please join " NETCHAN " for assistance." },
{ ERR_BADCHANNELNAME,	"\002%s\002 is not a valid channel name." },
{ RPL_CHANCLOSED,	"\002%s\002 closed." },
{ ERR_CHANNOTCLOSED,	"\002%s\002 is not closed." },
{ RPL_CHANUNCLOSED,	"\002%s\002 reopened." },
{ RPL_GLOBALNOTICE,	"Welcome to the Serenity-IRC IRC Network!" },
{ ERR_NOTAVALIDNUMBER,  "\002%s\002 is not a valid number." },
/* 280 - 299 */
{ ERR_INCORRECTUSAGE,   "You used the %s command incorrectly."},
{ RPL_INFOREMARK,       "\002Remark #%i\002 by %s on %s: %s"},
{ RPL_DELREMARK,        "The specified remark for \002%s\002 has been removed."},
{ RPL_ADDREMARK,        "Remark for \002%s\002 added."},
{ -1, "" } };

#endif
