/* 
 * Serenity-IRC Services Language Format Tables: Galactica Language.
 *
 *				Added by Cassandra (November 2000)
 */

#ifndef ENGLISH__H
#define ENGLISH__H

#include "services.h"

struct FormatTable EnglishReplies[] = {
/* 0 - 19 */
{ RPL_CUSTOM,		"This is a custom message" },
{ ERR_NEEDREGNICK,	"You must be a Colonial Warrior to access this comlink." },
{ ERR_NEEDACTNICK,	"You must be an active Colonial Warrior to access this comlink." },
{ ERR_NEEDSRA,		"You must be a Commander for this command." },
{ ERR_NEEDSERVOP,	"You must be a Colonel for this command." },
{ ERR_NEEDOPER,		"You must be a Captain for this command." },
{ ERR_UNKNOWNCOMMAND,	"\002%s\002 is an unknown command." },
{ RPL_MOREHELP,		"\002/msg %s HELP\002 for information about this comlink." },
{ RPL_DEBUGHEADER,	"-=- [%s Recon Information] -=-" },
{ RPL_DEBUGFOOTER,	"-=- [End of Recon Information] -=-" },
{ RPL_DEBUGLINE1,	"%-15s %-15s %-15s %-15s" },
{ RPL_DEBUGLINE2,	"\002%-15s\002 %-15d %-15d %-15d" },
{ ERR_BADPARAMS,	"You specified too little arguments for this command." },
{ RPL_PASSOKAY,		"Colonial Warrior \002%s\002 Identified" },
{ RPL_YOUAREROOT,	"Welcome Aboard Commander" },
{ RPL_YOUARESERVOP,	"Welcome Aboard Colonel" },
{ RPL_NOCHANGEPASS,	"You have not changed your nickname-password recently." },
{ RPL_MOREHELPCMD,	"Please try \002/msg %s HELP %s\002 for more help with this command." },
{ RPL_PASSNOTOKAY,	"\002WARNING\002 The supplied password is \002NOT\002 correct for the nickname \002%s\002." },
{ RPL_EMAILHACK1,	"\002WARNING\002 You have entered an incorrect password too many times!" },
/* 20 - 39 */
{ RPL_EMAILHACK2,	"An email notification has been sent to the owner of this nickname." },
{ RPL_EMAILHACK3,	"Please \002cease your attempts to identify\002 until you receive this email." },
{ RPL_EMAILHACK4,	"If you do not receive this email, please join " NETCHAN " for assistance." },
{ RPL_EMAILHACK5,	"Any further attempts to identify will result in \002removal from the network by force.\002" },
{ RPL_EMAILHACK6,	"You will now be removed from the network for nickname hacking. You were warned!" },
{ ERR_NICKNOTREGGED,	"\002%s\002 is not a known Colonial Warrior." },
{ RPL_INFOHEADER,	"[ Colonial Warrior \002%s\002 Database ]" },
{ RPL_INFOFOOTER,	"[ End Colonial Warrior Database ]" },
{ RPL_INFOBANISHED,	"\002WARNING CYLON RAIDER\002" },
{ RPL_INFONOWON,	"[ Currently in Quadrant ] For Colonial Warrior Database: /whois %s" },
{ RPL_INFODEREG,	"This Cylon \002DESTROYED\002 by the Colonial Battlestar." },
{ RPL_INFOLASTSEEN1,	"Last seen address - %s@%s [%s]" },
{ RPL_INFOLASTSEEN2,	"Last seen at      - %s" },
{ RPL_INFOREGGEDON,	"Registered at     - %s" },
{ RPL_INFOEMAIL,	"Email address     - %s" },
{ RPL_INFOACCESS,	"Battlestar Access - %s" },
{ RPL_INFOOPTIONS,	"Viper Options     - %s" },
{ RPL_INFOMEMO,		"Comlink Reception - %s" },
{ RPL_INFOLINKID,	"Remote Comlink    - %s" },
{ RPL_INFOCURRENTACC,	"Current Squadron  - %s" },
/* 40 - 59 */
{ RPL_INFODATA,		"Colonial Data     - [Squadrons: %i] [Comlinks: %i] [Vipers: %i] [Tylenium Level: %i]" },
{ RPL_INFOSTATUS,	"Current Rank      - %s" },
{ RPL_INFOREGBY,	"Registered by     - %s@%s" },
{ RPL_INFOTIMENOW,	"Time now          - %s" },
{ ERR_NEEDID,		"Warrior must identify prior to issuing this command." },
{ RPL_NSETIS,		"\002%s\002 is currently set to \002%s\002 for this nick." },
{ RPL_NSETNOW,		"\002%s\002 has now been set to \002%s\002 for this nick." },
{ ERR_BADSETTING,	"Sorry, but \002%s\002 is an unknown setting to me." },
{ ERR_BADPASSWORD,	"Sorry, but that is not a good password. Please choose another." },
{ RPL_PASSWORDNOW,	"Your nickname-password has now been set to \002%s\002." },
{ ERR_VALIDEMAIL,	"Please specify a valid email-address in the form of user@host." },
{ ERR_NICKLIMIT,	"Warrior has reached your nickname registration limit. You can not register any more nicknames." },
{ ERR_NOWEBMAIL,	"Sorry, but Serenity-IRC does not accept web-based email for nickname registration." },
{ RPL_TEMPDEAC1,	"Your nickname has been temporarily deactivated to verify the new email address." },
{ RPL_TEMPDEAC2,	"The process to reactivate your nickname will be the same as when you first registered your nickname." },
{ RPL_TEMPDEAC3,	"All of your current settings for your nickname will remain saved." },
{ RPL_TEMPDEAC4,	"The new registration key has been sent to \002%s\002." },
{ ERR_NOMAILSENT,	"Sorry, but the mail could not be delivered to the specified address." },
{ ERR_ALREADYREG,	"You are already a Colonial Warrior. You can not apply again." },
{ ERR_NEEDTOACT,	"This nickname is already registered, it can only be activated now." },
/* 60 - 79 */
{ ERR_CANNOTREGTHIS,	"This nickname can not be registered, please choose another one." },
{ ERR_BANNEDEMAIL,	"This email is \002BANNED\002 for use on Serenity-IRC. Please use another." },
{ ERR_CANNOTGHOSTSELF,	"There is no self-destruct mechanism on your Viper" },
{ ERR_NOTONLINE,	"\002%s\002 is currently not being used - you can not ghost it." },
{ ERR_ACCESSDENIED,	"Access Denied" },
{ RPL_NICKGHOSTED,	"\002%s\002 is destroyed. It is now available for use again." },
{ RPL_TOCHANOPS,	"\002(Ops:%s)\002 %s" },
{ RPL_AUTOSET_S,	"This channel is auto set to mode +s as a precaution for our younger users. This will not affect the channel in any way, other than to make it invisible on a channel list." },
{ RPL_NOOPSFROZEN,	"You are not allowed operator privileges in this channel, it has been \002FROZEN\002." },
{ RPL_CHANDESC,		"(\002%s\002): %s" },
{ RPL_NOOPS,		"Sorry, You are not allowed channel operator privileges in this channel." },
{ RPL_PING1,		"\001PING %s\001" },
{ RPL_PING2,		"\001PING %s %s\001" },
{ ERR_CHANNOTREGGED,	"\002%s\002 is not registered with ChanServ." },
{ RPL_NEXTDBSYNC,	"Database synch in %d centons." },
{ RPL_CHANINFO1,	"[ Battlestar \002%s\002 Database ]" },
{ 76, "\002%s\002 is now a Colonial Warrior" }, 
{ 77, "Your first access-mask is \002%s\002. If you want more access-masks," },
{ 78, "Try using: /ns \002ADDMASK\002" },
{ 79, "Your registration time is %s " },
/* 80 - 99 */
{ 80, "Your nickname password is \002%s\002. Please write it down now, so you won't lose it." },
{ 81, "Welcome to the Serenity-IRC IRC Network, enjoy your stay!" },
{ 82, "Your nickname has been succesfully reactivated!" },
{ 83, "This nickname is already activated. You can not activate it again." },
{ RPL_NICKDROPPED,	"Your nickname \002%s\002 is no longer registered." },
{ RPL_YOURACCESSIS,	"Your current access level is \002%i\002." },
{ RPL_CHANINFO2,	"Founder            - %s" },
{ RPL_CHANINFO3,	"Desc               - %s" },
{ RPL_CHANINFO4,	"Topic              - %s (%s)" },
{ RPL_CHANINFO5,	"Options            - %s%s%s%s%s%s%s" },
{ RPL_CHANINFO6,	"Settings           - [Topic Level: %i+] [Restrict Level: %i+] [Mode: %s]" },
{ RPL_CHANINFO7,	"Channel Registered - %s GMT" },
{ RPL_CHANINFO8,	"Channel Last Used  - %s GMT" },
{ RPL_CHANINFO9,	"IRCop data         - %s%s%s%s[Ops: %i] [Akicks: %i]" },
{ RPL_CHANINFO10,	"-=[ End of ChanServ Information ]=-" },
{ RPL_CHANACCESS1,	"%s has %s access on %s" },
{ RPL_CHANACCESS2,	"You have %s access on %s" },
{ ERR_NOTOPEDINCHAN,	"You must be both inside, and oped, in the channel you wish to register." },
{ ERR_CHANALREADYREG,	"This channel is already registered. You can not register it again." },
{ ERR_TOMANYREGCHAN1,	"You have registered too many channels." },
/* 100 - 119 */
{ ERR_TOMANYREGCHAN2,	"%s already has too many registered channels." },
{ RPL_CHANNOWREG,	"Channel \002%s\002 is now registered under your nick \002%s\002 with FOUNDER(15) access." },
{ RPL_CHANREGNOTE,	"Your channel is modelocked \002+tn-k\002 and topic preservation is set \002ON\002." },
{ ERR_CHANFROZEN,	"Access denied. This channel is \002FROZEN\002." },
{ ERR_NOOPON,		"%s can not be added to the chanop-list. You must ask them to unlock their nick first." },
{ RPL_CHANTRANS,	"Founder status of \002%s\002 transferred to \002%s\002." },
{ RPL_ACCESSHEADER,	"-=[ Access-list for \002%s\002 ]=-" },
{ RPL_ACCESSLIST1,	"Mask %i) \002%s\002" },
{ RPL_ACCESSFOOTER,	"-=[ End of Access-list ]=-" },
{ ERR_NOREMOTEACC,	"Sorry - you have can not list the access masks for \002%s\002." },
{ RPL_CURRENTACC,	"The current access level for %s is \002%i\002." },
{ RPL_LISTOPHEADER,	"-=[ List of all IRC Operators Online ]=-" },
{ RPL_LISTOP1,		"(%-2i) %-30s %s%s" },
{ RPL_LISTOPFOOTER,	"-=[ End of Operators List ]=-" },
{ ERR_BADACCMASK,       "Sorry, but that access mask is way too long." },
{ ERR_TOOMANYACCMASKS,  "You have reached your access-mask limit, please remove some before adding a new one." },
{ ERR_CHANAXTOOLOW,	"Your access is too low to perform that command." },
{ ERR_CHANNOMOREOPS,	"Sorry, \002%s\002 has reached the Op Limit. I cannot add any more Ops." },
{ ERR_UNKAXLEVEL, 	"The level you specified \002%s\002 is not a valid level." },
{ ERR_NOAXCGFOUNDER,	"Sorry, \002%s\002 is the channel founder and cannot be adjusted on \002%s\002." },
/* 120 - 139 */
{ RPL_CHANAXCHANGE,	"Changed access for \002%s\002 to \002%s\002" },
{ RPL_CHANOPADDED,	"Added op #%i \002%s\002 as \002%s\002" },
{ ERR_CHANNOMOREAKICK,	"Sorry, \002%s\002 has reached the akick limit. I cannot add any more akicks." },
{ ERR_THISEXISTS, 	"Sorry, \002%s\002 already exists in the %s list." },
{ ERR_INVALIDAKICK,	"Sorry, %s is an invalid akick." },
{ RPL_CHANAKICKADDED,	"Added Akick \002%s\002 to \002%s\002" },
{ ERR_NOTINOPSLIST,	"Sorry, \002%s\002 does not exist in the ops list for \002%s\002." },
{ RPL_CHANOPDELED,	"Deleted op \002%s\002 on \002%s\002." },
{ ERR_AKICKNOTEXIST, 	"Sorry, \002%s\002 does not exist in the akick list for \002%s\002." },
{ RPL_CHANAKICKDELED,	"Deleted akick \002%s\002 from \002%s\002" },
{ RPL_CHANOPSLISTHEAD1,	"-=[ Ops list for \002%s\002 ]=-" },
{ RPL_CHANOPSLISTHEAD2,	"(Index) Nick                            Level" },
{ RPL_CHANOPSLISTDATA,	"(%-3i) %-30s [%s]" },
{ RPL_LISTSEARCHNUM,	"\002%i\002 match of \002%i\002 elements searched." },
{ RPL_CHANOPSLISTEND,	"-=[ End Ops list ]=-" },
{ RPL_CHANAKLISTHEAD1,	"-=[ Akick list for \002%s\002 ]=-" },
{ RPL_CHANAKLISTHEAD2,	"(Index) (Mask)" },
{ RPL_CHANAKLISTHEAD3,	"(Time [GMT])     (Reason)" },
{ RPL_CHANAKLISTDATA1,	"(%-3i) (%-s)" },
{ RPL_CHANAKLISTDATA2,	"(%s) (%s)" },
/* 140 - 159 */
{ RPL_CHANAKLISTEND,	"-=[ End Akick list ]=-" },
{ RPL_CHANDROP,		"Channel registration for \002%s\002 has been discontinued." },
{ ERR_NICKNOTINCHAN,	"Sorry, \002%s\002 is not in \002%s\002." },
{ RPL_NOWCHANOPERATOR,	"You are now a channel operator in \002%s\002." },
{ RPL_NOTCHANOPERATOR,	"You are no longer a channel operator in \002%s\002." },
{ ERR_NOSUCHCHAN,	"Sorry, \002%s\002 does not exist." },
{ RPL_NUMUSERSINCHAN,	"\002%d\002 users in \002%s\002." },
{ RPL_CHANCLISTDATA,	":%s -> %s%s" },
{ ERR_MISSINGKEY,	"You must specify a key to mode lock a channel +k." },
{ ERR_MISSINGLIMIT,	"You must specify a limit to mode lock a channel +l." },
{ RPL_MLOCKSETTO,	"Mode for \002%s\002 is now locked to \002%s\002." },
{ RPL_RESTRICTSETTO,	"\002%s\002 is now restricted to \002%i+\002 level users." },
{ RPL_TOPICLOCKSETTO,	"Topic change restriction for \002%s\002 has been set to \002%i+\002 levels." },
{ RPL_CHANSETSTATUS,	"\002%s\002 for \002%s\002 is \002%s\002." },
{ RPL_CHANSETDESC,	"The description of \002%s\002 is: %s" },
{ RPL_CHANSETDESCCLEAR,	"Description of \002%s\002 cleared." },
{ RPL_REMCHANBANS,	"Removed bans: %s" },
{ RPL_CHANLIST,		"%s (%s) [%i/%i]" },
{ RPL_CHANMASSDEOP,	"DeOp'ed: %s" },
{ RPL_CHANMASSDEVOICE,	"DeVoiced: %s" },
/* 160 - 179 */ 
{ RPL_CHANMASSKICK,	"Masskick complete, \002%i\002 people kicked, \002%s\002 cleared." },
{ RPL_CHANMODECLEAR,	"Modeclear for \002%s\002 successful." },
{ ERR_BADMASK,		"Sorry, \002%s\002 is an improper mask format."},
{ RPL_AKILLADDED,	"Added %s for \002%s\002 for \002%s\002 [%s]" },
{ ERR_MASKEXISTS,	"The mask \002%s\002 already exists in the %s list." },
{ ERR_INVALIDMODES,	"Sorry, %s is an invalid mode list." },
{ ERR_NOSUCHSERVER,	"Sorry, there is no such server \002%s\002." },
{ ERR_ALREADYSVSNOOP,	"Sorry, \002%s\002 is already in SVSNOOP mode." },
{ ERR_NOTSVNOOP,	"Sorry, \002%s\002 is not in SVSNOOP mode." },
{ RPL_EKILLEMPTY,	"Dynamic EKILL list is empty." },
{ RPL_EKILLHEAD,	"-=[ Dynamic Ekill list ]=-" },
{ RPL_EKILLDATA,	"%-25s (set by %s) %s %s" },
{ RPL_EKILLEND,		"-=[ End Ekill list ]=-" },
{ ERR_NOSUCHEKILL,	"Sorry, There is no such EKILL: \002%s\002." },
{ RPL_EKILLDELED,	"Removed EKILL for \002%s\002" },
{ ERR_EKILLEXISTS,	"EKILL already exists: \002%s\002" },
{ RPL_EKILLADDED,	"Added EKILL for \002%s\002." },
{ RPL_RESTARTING,	"Restarting." },
{ RPL_SHUTTINGDOWN,	"Shutting Down." },
{ RPL_PERMCLONEIGNHEAD,	"-=[ Perm Clone ignore list ]=-" },
/* 180 - 199 */ 
{ ERR_ACCMASKNOTADDED,	"Sorry - but the mask \002%s\002 has not been added, it's improper format or already present." },
{ RPL_ACCMASKADDED,	"The mask \002%s\002 has been succesfully added to your access-list." },
{ RPL_ACCLISTCLEARED,	"Your access-list has been fully cleared." },
{ RPL_ACCMASKREMOVED,	"The mask \002%s\002 has been succesfully removed from your access-list." },
{ ERR_ACCENTRYNOTFOUND, "Sorry, the entry #%s was not found in your access-list." },
{ ERR_ACCMASKNOTFOUND,  "Sorry, the mask \002%s\002 was not found in your access-list." },
{ RPL_NLIST1,		"%4i: %s %s" },
{ RPL_NLIST2,		"%4i: %s!%s@%s%s" },
{ RPL_NLIST3,		"%4i: %s!%s@%s" },
{ ERR_PROPERHOST1,	"Sorry, but you will have to use a hostmask in the form of nick!user@host." },
{ ERR_WIDEHOST,		"Sorry, but your range is too wide, please try to narrow it down." },
{ RPL_NLISTHEADER,	"-=[ Start of List (\002%s\002) ]=-" },
{ RPL_NLISTFOOTER,	"-=[ End of List \002%i\002 out of \002%i\002 matched the condition \002%s\002) ]=-" },
{ ERR_NLISTEMPTY,	"Sorry, but your search did not return any matches." },
{ RPL_NICKRELEASED,	"The nickname \002%s\002 has been released and is available for use again." },
{ ERR_NICKNOTHELD,	"Sorry, but the nickname %s is currently not being held by Services." },
{ ERR_BADFLAG,		"Sorry, but \002%c\002 is an unknown flag to me." },
{ RPL_CHANGEDFLAGS,	"You have changed the flags for \002%s\002 to \002%s%s%s%s\002." },
{ RPL_BANNEDNICK,	"You have permanently banned the nickname \002%s\002 from any further use." },
{ RPL_GETPASS,		"The password for the nickname \002%s\002 has been sent to the email address \002%s\002." },
/* 200 - 219 */
/* Ax0n: 200 - 219 */
{ RPL_PERMCLONEIGNDATA,	"%i) %s" },
{ RPL_PERMCLONEIGNEND,	"-=[ End Perm ignore list ]=-" },
{ RPL_UPTIME1,		"Services has been online for:" },
{ RPL_UPTIME2,		"%i Days, %i hours, %i minutes, and %i seconds." },
{ RPL_ALLOCSTAT1,	"smalloc() info:    Called %i times" },
{ RPL_ALLOCSTAT2,	"sfree() info:      Called %i times" },
{ RPL_CLONESTATUS1,	"%s@%s has %i/%i clones (total/trigger)" },
{ RPL_CLONESTATUS2,	"%s has %i/%i clones (total/trigger)" },
{ ERR_INVALIDTRIGLEVEL,	"Please specify a proper trigger level." },
{ ERR_NOSUCHTRIGGER,	"No such user@host (%s@%s)." },
{ RPL_NOCLONEFLAGS,	"%s has no cloneflag settings." },
{ RPL_HASCLONEFLAGS,	"%s has flags: %s%s%s" },
{ ERR_PERMIGNEXISTS,	"%s is already on permanent ignore." },
{ ERR_NOSUCHPERMIGN,	"%s is not on permanent ignore." },
{ ERR_UNKNOWNFLAG,	"Unknown flag %s." },
{ ERR_UNKNOWHOST,	"Unknown host %s." },
{ ERR_NOMATCH,		"No matches for %s@%s" },
{ RPL_MAPHEAD,		"-=[ Connected Server list ]=-" },
{ RPL_MAPDATA,		"%s (%s)" },
{ ERR_PROPERHOST2,	"Sorry, but you will have to use a hostmask in the form of user@host." },
/* 220 - 239 */
{ RPL_GETKEY,		"The activation key for the nickname \002%s\002 is \002%s\002." },
{ RPL_GETREALPASS,	"The password for the nickname \002%s\002 is \002%s\002." },
{ RPL_DELETE,		"The nickname \002%s\002 has been removed from the databases." },
{ RPL_SAVE,		"The NickServ database has been synched to disk." },
{ ERR_ALREADYLINKID,	"You have already remotely identified for the nickname \002%s\002." },
{ ERR_MAXLINKID,	"You can not remotely identify for more than \002%i\002 nicknames." },
{ RPL_NICKWARN1,	"This nickname is registered. If this is your nickname, please identify to NickServ now." },
{ RPL_NICKWARN2,	"If you do not identify, your nickname will be changed in 30 seconds." },
{ RPL_NICKWARN3,	"To identify, use the \002IDENTIFY\002 command: \002/ns IDENTIFY <your password>\002" },
{ RPL_NICKWARN4,	"You have 15 seconds remaining to identify before your nickname is changed." },
{ RPL_NICKWARN5,	"Your nickname has been changed. Please use a nickname that is not yet registered." },
{ RPL_HELP,		"%s" },
{ RPL_YOUHAVEMEMOS,	"You have \002%i\002 new memo(s) waiting. (\002%i\002 total)" },
{ RPL_MEMO1,		"\002%2i\002. Received at %-30s [%s]" },
{ RPL_MEMO2,		"    \002%s\002: %s" },
{ ERR_NOSUCHMEMO, 	"Sorry, but there is no memo \002%i\002." },
{ RPL_MLISTHEADER,	"-=[ Listing memos for \002%s\002 ]=-" },
{ RPL_MLIST1,		"\002%2i\002. Received at %-30s from \002%s\002 [%s]" },
{ RPL_MLISTFOOTER,	"-=[ End of memo-list ]=-" },
{ ERR_MLISTEMPTY,	"Sorry, but your memo-list is empty." },
/* 240 - 259 */
{ ERR_MEMOTOOLONG,	"Sorry, but your memo is too long, please try to keep it less than \002%i\002 characters." },
{ ERR_ISNOMEMO,		"Sorry, but \002%s\002 does not allow you to send any memos to them." },
{ ERR_MEMOBOXFULL,	"Sorry, but \002%s\002's memobox is full. " },
{ ERR_TOOMANYMEMOS,	"Sorry, but you have sent too many memos. " },
{ RPL_GOTNEWMEMO,	"\002%s\002 has just sent you a memo, to read it: \002/msg MemoServ READ %i\002" },
{ RPL_SENTMEMO,		"Your memo has been succesfully sent to \002%s\002" },
{ ERR_ISNOFORWARD,	"Sorry, but \002%s\002 does not allow you to send any forwarded memos to them." },
{ RPL_MEMOFORWARDED,	"You have succesfully forwarded \002%i\002 memo%s to \002%s\002", },
{ ERR_NOFWDTOSELF,	"Sorry, but forwarding memos to yourself seems a bit silly to me. " },
{ RPL_DELMEMO,		"You have now deleted \002%s\002 memos." },
{ RPL_DELMEMONR,	"You have now deleted memo \002%i\002." },
{ RPL_MAPEND,		"-=[ End Server list ]=-" },
{ RPL_MMAX,		"\002%s\002 is currently set to \002%i\002 for this nick." },
{ ERR_MMAXSET,		"Sorry, but you will have to pick a number between\002 1\002 and \002%i\002" },
{ RPL_MMAXNOW,		"\002%s\002 has now been set to \002%i\002 for this nick." },
{ RPL_MFORWARD,		"Your memos are currently being forwarded to \002%s\002." },
{ RPL_MFORWARDNOW,	"Your memos are now being forwarded to \002%s\002." },
{ ERR_NOFWDMEMOS,	"Sorry, but \002%s\002 does not allow you to redirect memos to them." },
{ RPL_MEMOSRETRIEVED,	"All of your memos have been succesfully emailed to \002%s\002." },
{ ERR_MNEEDLEVEL,	"Sorry, but you need to specify a level of channel ops." },
/* 260 - 279 */
{ RPL_SENTMEMOCHAN,	"Your memo has been delivered to \002%i\002 out of \002%i\002 targets." },
{ ERR_JINXEXIST,	"Sorry, but that \002%s\002 for \002%s\002 already exists." },
{ ERR_NOSUCHNICK,	"Sorry, but \002%s\002 does not appear to be online." },
{ ERR_CANTJINXSRA,	"Sorry, but you can not jinx a Services Root Administrator." },
{ ERR_NOSUCHJINX,	"Sorry, but there doesnt seem to be a \002%s\002 for \002%s\002." },
{ RPL_JINXLISTEMPTY,	"Sorry, but there are currently no \002%s\002 set." },
{ RPL_JINXLISTHEADER,   "-=[ Listing all \002%s\002 ]=-" },
{ RPL_JINXLISTFOOTER,   "-=[ End of \002%s\002 list ]=-" },
{ RPL_JINXLIST1,	"%-25s [set by %s] (%s) %s" },
{ RPL_JINXADDED,	"You have succesfully added a \002%s\002 for the nickname \002%s\002." },
{ RPL_JINXREMOVED,	"You have succesfully removed the \002%s\002 for the nickname \002%s\002." },
{ ERR_NEEDUSERHOST,	"Sorry, but you will have to supply a mask in the form of user@host." },
{ ERR_THISISNONICKDUMMY,"This is a NickServ registered \002nick enforcer\002, and not a real user." },
{ ERR_NOHELPONTHAT,	"Sorry, there is no help available on \002%s\002. Please join " NETCHAN " for help." },
{ ERR_BADCHANNELNAME,	"Sorry, but \002%s\002 is not a valid channelname." },
{ RPL_CHANCLOSED,	"The channel \002%s\002 has been \002CLOSED\002." },
{ ERR_CHANNOTCLOSED,	"The channel \002%s\002 has not been \002CLOSED\002." },
{ RPL_CHANUNCLOSED,	"The channel \002%s\002 has been \002REOPENED\002." },
{ RPL_GLOBALNOTICE,	"\002Welcome to Serenity-IRC!\002" },
{ ERR_NOTAVALIDNUMBER,  "\002%s\002 is not a valid number." },
/* 280 - 299 */
{ ERR_INCORRECTUSAGE,   "You used the %s command incorrectly."},
{ RPL_INFOREMARK,       "\002Remark #%i\002 by %s on %s: %s"},
{ RPL_DELREMARK,        "The specified remark for \002%s\002 has been removed."},
{ RPL_ADDREMARK,        "Remark for \002%s\002 added."},
{ -1, "" }
};

#endif
