/*
 * Serenity-IRC Language Format Table: LCARS (StarTrek) Protocol.
 * Modified by jinxi (November 2000)
 */

#ifndef LCARS__H
#define LCARS__H

#include "services.h"

struct FormatTable LcarsReplies[] = {
/* 0 - 19 */
{ RPL_CUSTOM,		"Custom Transmission" },
{ ERR_NEEDREGNICK,	"Access Denied. Restricted to registered command codes." },
{ ERR_NEEDACTNICK,	"Access Denied. Restricted to activated command codes." },
{ ERR_NEEDSRA,		"Fleet Commander access required. " },
{ ERR_NEEDSERVOP,	"Fleet Commander Ajudant access required. " },
{ ERR_NEEDOPER,		"Commanding Officer access required. " },
{ ERR_UNKNOWNCOMMAND,	"Access Denied. \002%s\002 is an unknown parameter." },
{ RPL_MOREHELP,		"Access Denied. \002/msg %s help\002 for additional information." },
{ RPL_DEBUGHEADER,	"[%s Long-Range Scans]" },
{ RPL_DEBUGFOOTER,	"[Long-Range Scans Complete]" },
{ RPL_DEBUGLINE1,	"%-15s %-15s %-15s %-15s" },
{ RPL_DEBUGLINE2,	"\002%-15s\002 %-15d %-15d %-15d" },
{ ERR_BADPARAMS,	"Access Denied. Additional parameters required." },
{ RPL_PASSOKAY,		"Access Granted. Command code accepted for \002%s\002." },
{ RPL_YOUAREROOT,	"Welcome aboard Admiral." },
{ RPL_YOUARESERVOP,	"Welcome aboard Commander." },
{ RPL_NOCHANGEPASS,	"Serenity-IRC requests periodic command code change as per Serenity-IRC protocol." },
{ RPL_MOREHELPCMD,	"Access Denied. \002/msg %s help %s\002 for required data parameters." },
{ RPL_PASSNOTOKAY,	"Access Denied. \002%s\002 authorization code invalid." },
{ RPL_EMAILHACK1,	"\002-WARNING-\002 Invalid authorization code attempts." },
/* 20 - 39 */
{ RPL_EMAILHACK2,	"Serenity-IRC subspace transmission dispatched to secured channel." },
{ RPL_EMAILHACK3,	"\002-WARNING-\002 Auto shutdown sequence initiated. Security notified. Discontinue access attempts." },
{ RPL_EMAILHACK4,	"Transport to " NETCHAN " if secure subspace  transmission not received in 15 minutes." },
{ RPL_EMAILHACK5,	"\002-WARNING-\002 Continued access attempts will result in immediate termination of subspace link." },
{ RPL_EMAILHACK6,	"\002-WARNING-\002 Subspace link terminated." },
{ ERR_NICKNOTREGGED,	"Access Denied. \002%s\002 does not have registered command code." },
{ RPL_INFOHEADER,	"[\002%s\002 NickServ Database]" },
{ RPL_INFOFOOTER,	"[End NickServ Database]" },
{ RPL_INFOBANISHED,	"Access Denied. Assimilated by the Borg." },
{ RPL_INFONOWON,	"[Onboard] - To Access Data: /whois %s" },
{ RPL_INFODEREG,	"Access Denied. Borg assimilated, terminated by Serenity-IRC." },
{ RPL_INFOLASTSEEN1,	"Last Known Coordinates   - %s@%s [%s]" },
{ RPL_INFOLASTSEEN2,	"Last Stardate Contact    - %s" },
{ RPL_INFOREGGEDON,	"Authorized Given         - %s" },
{ RPL_INFOEMAIL,	"Transmission Frequency   - %s" },
{ RPL_INFOACCESS,	"Serenity-IRC Command Rank    - %s" },
{ RPL_INFOOPTIONS,	"Authorization Parameters - %s" },
{ RPL_INFOMEMO,		"Communication Parameters - %s" },
{ RPL_INFOLINKID,	"Remote Authorization     - %s" },
{ RPL_INFOCURRENTACC,	"Current Authorization    - %s" },
/* 40 - 59 */
{ RPL_INFODATA,		"Command Data             - [Assignments: %i] [Transmissions: %i] [Remote Coordinates: %i] [Warp Level: %i]" },
{ RPL_INFOSTATUS,	"Current Status           - %s" },
{ RPL_INFOREGBY,	"Authorization            - %s@%s" },
{ RPL_INFOTIMENOW,	"Current Stardate         - %s" },
{ ERR_NEEDID,		"Access Denied. Input command code to access." },
{ RPL_NSETIS,		"\002%s\002 set to \002%s\002." },
{ RPL_NSETNOW,		"\002%s\002 is set to \002%s\002." },
{ ERR_BADSETTING,	"Unable to Comply, \002%s\002 is an unknown parameter." },
{ ERR_BADPASSWORD,	"" },
{ RPL_PASSWORDNOW,	"\002%s\002 is your new command code." },
{ ERR_VALIDEMAIL,	"Invalid subspace transmission address, user@host frequency required." },
{ ERR_NICKLIMIT,	"Access restricted to five identities per personnel." },
{ ERR_NOWEBMAIL,	"Serenity-IRC Command requests non web-based transmission frequencies for registration." },
{ RPL_TEMPDEAC1,	"Authorization temporarily suspended to verify new transmission frequency." },
{ RPL_TEMPDEAC2,	"Reactivate authorization code using data transmitted to new frequency." },
{ RPL_TEMPDEAC3,	"All previous personnel codes will remain intact." },
{ RPL_TEMPDEAC4,	"New code authorization transmitted to \002%s\002." },
{ ERR_NOMAILSENT,	"Unable to Comply. Subspace transmission frequency is not accessable." },
{ ERR_ALREADYREG,	"Code access exists in database and cannot be registered again." },
{ ERR_NEEDTOACT,	"Code access exists in database and must be activated for clearance." },
/* 60 - 79 */
{ ERR_CANNOTREGTHIS,	"Unable to Comply. Serenity-IRC Command prohibits this identity. Select new identity now." },
{ ERR_BANNEDEMAIL,	"Subspace frequency transmission prohibited for this address. Select new subspace frequency." },
{ ERR_CANNOTGHOSTSELF,	"Access Denied. You cannot terminate yourself." },
{ ERR_NOTONLINE,	"\002%s\002 is not onboard." },
{ ERR_ACCESSDENIED,	"Access Denied. Restricted data." },
{ RPL_NICKGHOSTED,	"\002%s\002 is now available for use." },
{ RPL_TOCHANOPS,	"\002(Ops:%s)\002 %s" },
{ RPL_AUTOSET_S,	"This sector set to mode +s as a courtesy for our junior officers. This does not affect the sector in any way, other than to cloak it on the sector scans." },
{ RPL_NOOPSFROZEN,	"Access Denied. Channel frozen by Serenity-IRC Command." },
{ RPL_CHANDESC,		"(\002%s\002): %s" },
{ RPL_NOOPS,		"Access Denied. Command level clearance not authorized." },
{ RPL_PING1,		"\001PING %s\001" },
{ RPL_PING2,		"\001PING %s %s\001" },
{ ERR_CHANNOTREGGED,	"\002%s\002 is not registered." },
{ RPL_NEXTDBSYNC,	"Database synch in %d minutes." },
{ RPL_CHANINFO1,	"[\002%s\002 ChanServ Database]" },
{ 76, "Access Granted. \002%s\002 command code authorized." },
{ 77, "Primary coordinate is \002%s\002." },
{ 78, "Use /ns \002ADDMASK\002 to add additional coordinates." },
{ 79, "Authorization Stardate: %s" },
/* 80 - 99 */
{ 80, "Secure channel code is \002%s\002.  Enter into your data padd for reference, Encryption protocols reccommended." },
{ 81, "Welcome aboard." },
{ 82, "Command functions have been re-routed successfully, Access restored." },
{ 83, "Unable to Comply. Command functions are already enabled.	 Activation protocols are no longer required. " },
{ RPL_NICKDROPPED,	"Diagnostic complete. Command functions for \002%s\002 are no longer active." },
{ RPL_YOURACCESSIS,	"Access level is \002%i\002." },
{ RPL_CHANINFO2,	"Commanding Officer - %s" },
{ RPL_CHANINFO3,	"Plaque Description - %s" },
{ RPL_CHANINFO4,	"Transmission Data  - %s (%s)" },
{ RPL_CHANINFO5,	"Access Options     - %s%s%s%s%s%s%s" },
{ RPL_CHANINFO6,	"Sector Options     - [Transmission Access: %i+] [Restriction Access: %i+] [Domain: %s]" },
{ RPL_CHANINFO7,	"Sector Secured     - %s GMT" },
{ RPL_CHANINFO8,	"Last Accessed      - %s GMT" },
{ RPL_CHANINFO9,	"StarFleet Data     - %s%s%s%s[Ops: %i] [Akicks: %i]" },
{ RPL_CHANINFO10,	"[End ChanServ Database]" },
{ RPL_CHANACCESS1,	"%s has %s access on %s" },
{ RPL_CHANACCESS2,	"You have %s access on %s" },
{ ERR_NOTOPEDINCHAN,	"Unable to Comply. Be inside the sector and have command code clearance to register." },
{ ERR_CHANALREADYREG,	"This sector is registered." },
{ ERR_TOMANYREGCHAN1,	"Serenity-IRC Command restricts to five sectors per commanding officer." },
/* 100 - 119 */
{ ERR_TOMANYREGCHAN2,	"%s has too many sectors." },
{ RPL_CHANNOWREG,	"\002%s\002 is now under the command of \002%s\002." },
{ RPL_CHANREGNOTE,	"The sector is under martial law in mode \002+tn-k\002 Topic restrictions apply and set to \002ON\002" },
{ ERR_CHANFROZEN,	"Access Denied. This sector frozen by Serenity-IRC Command." },
{ ERR_NOOPON,		"Unable to Comply. %s can not be added to the chanop-list. Request unlock of access from user." },
{ RPL_CHANTRANS,	"\002%s\002 command transferred to \002%s\002." },
{ RPL_ACCESSHEADER,	"[\002%s\002 Access Coordinates]" },
{ RPL_ACCESSLIST1,	"Mask %i) \002%s\002" },
{ RPL_ACCESSFOOTER,	"[End Access Coordinates]" },
{ ERR_NOREMOTEACC,	"Access Denied. List the access masks for \002%s\002 requires security clearence." },
{ RPL_CURRENTACC,	"The current access level for %s is \002%i\002." },
{ RPL_LISTOPHEADER,	"[Commanding Officers Online]" },
{ RPL_LISTOP1,		"(%-2i) %-30s %s%s" },
{ RPL_LISTOPFOOTER,	"[End Commanding Officers List]" },
{ ERR_BADACCMASK,	"\002-WARNING-\002 Access coordinate exceeds safety parameters." },
{ ERR_TOOMANYACCMASKS,	"\002-WARNING-\002 Maximum access coordinates reached." },
{ ERR_CHANAXTOOLOW,	"Access Denied. Restricted materials. Clearance level too low." },
{ ERR_CHANNOMOREOPS,	"Unable to Comply. \002%s\002 has maximum number of command staff." },
{ ERR_UNKAXLEVEL,	"Unable to Comply. \002%s\002 is an invalid parameter." },
{ ERR_NOAXCGFOUNDER,	"\002%s\002 is the commanding officer and cannot be demoted in \002%s\002." },
/* 120 - 139 */
{ RPL_CHANAXCHANGE,	"Access for \002%s\002 changed to \002%s\002." },
{ RPL_CHANOPADDED,	"Added op #%i \002%s\002 as \002%s\002." },
{ ERR_CHANNOMOREAKICK,	"Unable to Comply. \002%s\002 has maximum number of drones." },
{ ERR_THISEXISTS,	"Unable to Comply. \002%s\002 exists in %s." },
{ ERR_INVALIDAKICK,	"Error: %s is an invalid akick." },
{ RPL_CHANAKICKADDED,	"Added Akick \002%s\002 to \002%s\002" },
{ ERR_NOTINOPSLIST,	"Error:	 \002%s\002 does not exist in the ops list for \002%s\002." },
{ RPL_CHANOPDELED,	"Deleted op \002%s\002 on \002%s\002." },
{ ERR_AKICKNOTEXIST,	"Error:	 \002%s\002 does not exist in the akick list for \002%s\002." },
{ RPL_CHANAKICKDELED,	"Deleted akick \002%s\002 from \002%s\002" },
{ RPL_CHANOPSLISTHEAD1, "[\002%s\002 Command Staff]" },
{ RPL_CHANOPSLISTHEAD2, "(Index) Nick Level" },
{ RPL_CHANOPSLISTDATA,	"(%-3i) %-30s [%s]" },
{ RPL_LISTSEARCHNUM,	"\002%i\002 match of \002%i\002 elements searched." },
{ RPL_CHANOPSLISTEND,	"[End Command Staff]" },
{ RPL_CHANAKLISTHEAD1,	"[\002%s\002 Drones]" },
{ RPL_CHANAKLISTHEAD2,	"(Index) (Mask)" },
{ RPL_CHANAKLISTHEAD3,	"(Time [GMT])	  (Reason)" },
{ RPL_CHANAKLISTDATA1,	"(%-3i) (%-s)" },
{ RPL_CHANAKLISTDATA2,	"(%s) (%s)" },
/* 140 - 159 */
{ RPL_CHANAKLISTEND,	"[End Drones]" },
{ RPL_CHANDROP,		"Unit \002%s\002 of borg, adjunct of tertiary matrix 7 has been severed from the collective" },
{ ERR_NICKNOTINCHAN,	"Error, \002%s\002 is not on scans in \002%s\002." },
{ RPL_NOWCHANOPERATOR,	"You are now a command level officer in \002%s\002." },
{ RPL_NOTCHANOPERATOR,	"You are no longer a command level officer in \002%s\002." },
{ ERR_NOSUCHCHAN,	"Unable to Comply, \002%s\002 information is not on file." },
{ RPL_NUMUSERSINCHAN,	"Scan Complete: \002%d\002 lifeforms found in \002%s\002." },
{ RPL_CHANCLISTDATA,	":%s -> %s%s" },
{ ERR_MISSINGKEY,	"Unable to Comply. Specify key parameter to restrict sector." },
{ ERR_MISSINGLIMIT,	"Unable to Comply. Specify limit parameter to restrict sector." },
{ RPL_MLOCKSETTO,	"\002%s\002 restricted to \002%s\002." },
{ RPL_RESTRICTSETTO,	"\002%s\002 restricted to \002%i+\002 level officers." },
{ RPL_TOPICLOCKSETTO,	"\002%s\002 topic change restricted to \002%i+\002 level officers." },
{ RPL_CHANSETSTATUS,	"\002%s\002 for \002%s\002 is \002%s\002." },
{ RPL_CHANSETDESC,	"\002%s\002 Database: %s" },
{ RPL_CHANSETDESCCLEAR, "\002%s\002 Database cleared." },
{ RPL_REMCHANBANS,	"Removed bans: %s" },
{ RPL_CHANLIST,		"%s (%s) [%i/%i]" },
{ RPL_CHANMASSDEOP,	"DeOpped: %s" },
{ RPL_CHANMASSDEVOICE,	"DeVoiced: %s" },
/* 160 - 179 */
{ RPL_CHANMASSKICK,	"Evacuation Complete. \002%i\002 crew accounted for, all decks of \002%s\002 cleared. " },
{ RPL_CHANMODECLEAR,	"Command modes for \002%s\002 cleared successfully." },
{ ERR_BADMASK,		"ERROR: \002%s\002 is not a recognized mask format. "},
{ RPL_AKILLADDED,	"Added %s for \002%s\002 for \002%s\002 [%s]" },
{ ERR_MASKEXISTS,	"The mask  \002%s\002 currently exists in %s databanks" },
{ ERR_INVALIDMODES,	"Unable to Comply: %s is an invalid mode list." },
{ ERR_NOSUCHSERVER,	"Unable to Comply, there is no such server \002%s\002." },
{ ERR_ALREADYSVSNOOP,	"Unable to Comply: \002%s\002 is already in SVSNOOP mode." },
{ ERR_NOTSVNOOP,	"Unable to Comply: \002%s\002 is not in SVSNOOP mode." },
{ RPL_EKILLEMPTY,	"Dynamic EKILL Information Purged From LCARS Database." },
{ RPL_EKILLHEAD,	"[Dynamic Ekill Database]" },
{ RPL_EKILLDATA,	"%-25s (set by %s) %s %s" },
{ RPL_EKILLEND,		"[End Ekill Database]" },
{ ERR_NOSUCHEKILL,	"ERROR:	EKILL: \002%s\002 Does Not Exist." },
{ RPL_EKILLDELED,	"Program Complete: EKILL Removed For \002%s\002" },
{ ERR_EKILLEXISTS,	"EKILL Data Exists: \002%s\002" },
{ RPL_EKILLADDED,	"EKILL Data For \002%s\002 Activated." },
{ RPL_RESTARTING,	"Self destruct sequence initiated." },
{ RPL_SHUTTINGDOWN,	"Shutting Down." },
{ RPL_PERMCLONEIGNHEAD, "[Perm Drone Ignores]" },
/* 180 - 199 */
{ ERR_ACCMASKNOTADDED,	"Fascinating - the mask \002%s\002 has not been added, it is illogical or alredy exists." },
{ RPL_ACCMASKADDED,	"Captain, sensors indicate that \002%s\002 has been successfully added to the access-list." },
{ RPL_ACCLISTCLEARED,	"Command access-list has been fully cleared." },
{ RPL_ACCMASKREMOVED,	"Incoming message from StarFleet: \002%s\002 has been succesfully removed from your access-list." },
{ ERR_ACCENTRYNOTFOUND, "ERROR: the entry #%s was not found in your command access-list." },
{ ERR_ACCMASKNOTFOUND,	"ERROR: the mask \002%s\002 was not found in your command access-list." },
{ RPL_NLIST1,		"%4i: %s %s" },
{ RPL_NLIST2,		"%4i: %s!%s@%s%s" },
{ RPL_NLIST3,		"%4i: %s!%s@%s" },
{ ERR_PROPERHOST1,	"Unable to Comply: You will have to use a sub-space channel in the form of nick!user@host." },
{ ERR_WIDEHOST,		"Unable to Comply: Your range is too wide, please respecify more specific coordinates." },
{ RPL_NLISTHEADER,	"[Start \002%s\002]" },
{ RPL_NLISTFOOTER,	"[End \002%i\002 of \002%i\002 matched \002%s\002]" },
{ ERR_NLISTEMPTY,	"Specified parameters not found." },
{ RPL_NICKRELEASED,	"\002%s\002 released by Serenity-IRC Command." },
{ ERR_NICKNOTHELD,	"%s is not held by Serenity-IRC Command. " },
{ ERR_BADFLAG,		"Unable to comply. \002%c\002 is an unknown parameter." },
{ RPL_CHANGEDFLAGS,	"You have altered your security clearance flags for \002%s\002 to \002%s%s%s%s\002." },
{ RPL_BANNEDNICK,	"You have permanently revoked access for  \002%s\002 for interstellar travel." },
{ RPL_GETPASS,		"Command authorization codes for the nickname \002%s\002 have been sent to the subspace address \002%s\002." },
/* 200 - 219 */
/* Ax0n: 200 - 219 */
{ RPL_PERMCLONEIGNDATA, "%i) %s" },
{ RPL_PERMCLONEIGNEND,	"[End Drones]" },
{ RPL_UPTIME1,		"LCARS online:" },
{ RPL_UPTIME2,		"%i Days, %i hours, %i minutes, and %i seconds." },
{ RPL_ALLOCSTAT1,	"smalloc() info:    Called %i times" },
{ RPL_ALLOCSTAT2,	"sfree() info:	    Called %i times" },
{ RPL_CLONESTATUS1,	"%s@%s has %i/%i clones (total/trigger)" },
{ RPL_CLONESTATUS2,	"%s has %i/%i clones (total/trigger)" },
{ ERR_INVALIDTRIGLEVEL, "Please specify a proper trigger level." },
{ ERR_NOSUCHTRIGGER,	"No such user@host (%s@%s)." },
{ RPL_NOCLONEFLAGS,	"%s has no cloneflag settings." },
{ RPL_HASCLONEFLAGS,	"%s has flags: %s%s%s" },
{ ERR_PERMIGNEXISTS,	"%s is already had their stellar access revoked." },
{ ERR_NOSUCHPERMIGN,	"%s is not on permanent ignore." },
{ ERR_UNKNOWNFLAG,	"Unknown flag %s." },
{ ERR_UNKNOWHOST,	"Unknown host %s." },
{ ERR_NOMATCH,		"No matches for %s@%s" },
{ RPL_MAPHEAD,		"[Connected Servers]" },
{ RPL_MAPDATA,		"%s (%s)" },
{ ERR_PROPERHOST2,	"Unable to Comply: You will have to use a sub-space channel in the form of user@host." },
/* 220 - 239 */
{ RPL_GETKEY,		"Command authorization code for \002%s\002 is \002%s\002." },
{ RPL_GETREALPASS,	"Security code for \002%s\002 is \002%s\002." },
{ RPL_DELETE,		"\002%s\002 deleted from NickServ database." },
{ RPL_SAVE,		"NickServ database transported to disk." },
{ ERR_ALREADYLINKID,	"Security already remotely identified for nickname \002%s\002." },
{ ERR_MAXLINKID,	"Authorization Denied. Remote identification for more than \002%i\002 nicknames is not allowed." },
{ RPL_NICKWARN1,	"Long range scans indicate this nickname is registered. If this is your nickname, please identify to NickServ now." },
{ RPL_NICKWARN2,	"\002WARNING\002 Unknown Person. Identify to StarFleet or you will be \002ASSIMILATED\002 in 30 seconds." },
{ RPL_NICKWARN3,	"Unable to Comply, to authorize, use the \002IDENTIFY\002 command: \002/ns IDENTIFY <your password>\002" },
{ RPL_NICKWARN4,	"\002WARNING\002 Unknown Person. Identify to StarFleet or you will be \002ASSIMILATED\002 in 15 seconds." },
{ RPL_NICKWARN5,	"\002WARNING\002 This person has been assimilated. Please select a nickname that is not yet registered." },
{ RPL_HELP,		"%s" },
{ RPL_YOUHAVEMEMOS,	"You have \002%i\002 new subspace transmission(s) waiting. (\002%i\002 total)" },
{ RPL_MEMO1,		"\002%2i\002. Received at %-30s [%s]" },
{ RPL_MEMO2,		"    \002%s\002: %s" },
{ ERR_NOSUCHMEMO,	"There are no subspace messages. \002%i\002." },
{ RPL_MLISTHEADER,	"[\002%s\002 Subspace Messages]" },
{ RPL_MLIST1,		"\002%2i\002. Received at %-30s from \002%s\002 [%s]" },
{ RPL_MLISTFOOTER,	"[End Subspace Messages]" },
{ ERR_MLISTEMPTY,	"Your subspace terminal PADD is empty." },
/* 240 - 259 */
{ ERR_MEMOTOOLONG,	"ERROR: Subspace message is too long, limit it to \002%i\002 characters." },
{ ERR_ISNOMEMO,		"Access Denied. \002%s\002 has denied you to send any subspace messages to them." },
{ ERR_MEMOBOXFULL,	"Access Denied. \002%s\002's Subspace Terminal is Full. " },
{ ERR_TOOMANYMEMOS,	"Access Denied. Your subspace terminal has sent too many messages." },
{ RPL_GOTNEWMEMO,	"ALERT! Incoming Subspace message from \002%s\002, to read it: \002/msg MemoServ READ %i\002" },
{ RPL_SENTMEMO,		"Subspace message has been successfully sent to \002%s\002" },
{ ERR_ISNOFORWARD,	"Access Denied \002%s\002 denied your access to send forwarded subspace messages to them." },
{ RPL_MEMOFORWARDED,	"Subspace transmission forwarded \002%i\002 memo%s to \002%s\002." },
{ ERR_NOFWDTOSELF,	"You try to forward subspace message to yourself." },
{ RPL_DELMEMO,		"\002%s\002 subspace messages removed from PADD." },
{ RPL_DELMEMONR,	"Subspace message \002%i\002 removed from PADD." },
{ RPL_MAPEND,		"[End Servers]" },
{ RPL_MMAX,		"\002%s\002 set to \002%i\002 for this personnel." },
{ ERR_MMAXSET,		"Select numerical parameter between \002 1\002 and \002%i\002." },
{ RPL_MMAXNOW,		"\002%s\002 has now been set to \002%i\002 for this nick." },
{ RPL_MFORWARD,		"Subspace messages forwarded to \002%s\002." },
{ RPL_MFORWARDNOW,	"Subspace messages now forwarded to \002%s\002." },
{ ERR_NOFWDMEMOS,	"Access Denied. \002%s\002 has revoked access to redirect memos to them." },
{ RPL_MEMOSRETRIEVED,	"Subspace messages transmitted to \002%s\002." },
{ ERR_MNEEDLEVEL,	"Unable to comply. Specify level parameter for command access" },
/* 260 - 279 */
{ RPL_SENTMEMOCHAN,	"Subspace message report: \002%i\002 of \002%i\002 messages transmitted." },
{ ERR_JINXEXIST,	"Unable to comply. \002%s\002 for \002%s\002 already exists." },
{ ERR_NOSUCHNICK,	"\002%s\002 is not onboard." },
{ ERR_CANTJINXSRA,	"Access Denied. You cannot assimilate a Fleet Commander." },
{ ERR_NOSUCHJINX,	"Unable to comply. The \002%s\002 for \002%s\002 does not exist." },
{ RPL_JINXLISTEMPTY,	"No parameters for \002%s\002 exist." },
{ RPL_JINXLISTHEADER,	"[\002%s\002]" },
{ RPL_JINXLISTFOOTER,	"[End \002%s\002]" },
{ RPL_JINXLIST1,	"%-25s [set by %s] (%s) %s" },
{ RPL_JINXADDED,	"\002%s\002 added for \002%s\002." },
{ RPL_JINXREMOVED,	"\002%s\002 removed for \002%s\002." },
{ ERR_NEEDUSERHOST,	"Unable to comply. Parameter must be in user@host format." },
{ ERR_THISISNONICKDUMMY,"Serenity-IRC Enforcer Android - not real personnel." },
{ ERR_NOHELPONTHAT,	"Unable to comply. Specified parameter \002%s\002 is invalid. Transport to #starchat for assistance." },
{ ERR_BADCHANNELNAME,	"\002%s\002 is not a valid sector name." },
{ RPL_CHANCLOSED,	"\002%s\002 sector closed by Serenity-IRC Command." },
{ ERR_CHANNOTCLOSED,	"\002%s\002 sector remains open." },
{ RPL_CHANUNCLOSED,	"\002%s\002 sector reopened by Serenity-IRC Command." },
{ RPL_GLOBALNOTICE,	"\002Serenity-IRC welcomes you aboard. Enjoy your mission.\002" },
{ ERR_NOTAVALIDNUMBER,  "\002%s\002 is not a valid protocol number." },
/* 280 - 299 */
{ ERR_INCORRECTUSAGE,   "Unable to comply. %s command syntax incorrect."},
{ RPL_INFOREMARK,       "\002Log entry #%i\002 by %s on StarDate %s: %s"},
{ RPL_DELREMARK,        "The specified log entry for \002%s\002 has been removed."},
{ RPL_ADDREMARK,        "Log entry on \002%s\002 added."},
{ -1, "" }
};

#endif
