/* 
 * Serenity-IRC Services Language Format Tables: Spanish Language.
 *
 */

#ifndef SPANISH__H
#define SPANISH__H

#include "services.h"

struct FormatTable SpanishReplies[] = {
/* 0 - 19 */
{ RPL_CUSTOM,		"Este es un mensaje personalizado" },
{ ERR_NEEDREGNICK,	"Necesitas un nick registrado para este comando." },
{ ERR_NEEDACTNICK,	"Necesitas un nick activado para este comando." },
{ ERR_NEEDSRA,		"Necesitas acceso de Service Root para este comando." },
{ ERR_NEEDSERVOP,	"Necesitas acceso de Service Operator para este comando." },
{ ERR_NEEDOPER,		"Necesitas acceso de IRC operator para este comando." },
{ ERR_UNKNOWNCOMMAND,	"Lo siento, pero \002%s\002 es un comando desconocido para mi." },
{ RPL_MOREHELP,		"Por favor intenta \002/msg %s HELP\002 para mas ayuda con este servicio." },
{ RPL_DEBUGHEADER,	"-=- [%s Debug Information] -=-" },
{ RPL_DEBUGFOOTER,	"-=- [End of Debug Information] -=-" },
{ RPL_DEBUGLINE1,	"%-15s %-15s %-15s %-15s" },
{ RPL_DEBUGLINE2,	"\002%-15s\002 %-15d %-15d %-15d" },
{ ERR_BADPARAMS,	"Especificaste muy pocos argumentos para este comando." },
{ RPL_PASSOKAY,		"El password ha sido aceptado para el nick \002%s\002." },
{ RPL_YOUAREROOT,	"Tu eres ahora un \002Services Root Administrator.\002" },
{ RPL_YOUARESERVOP,	"Tu eres ahora un \002Services Operator.\002" },
{ RPL_NOCHANGEPASS,	"No has cambiado el password de tu nick recientemente." },
{ RPL_MOREHELPCMD,	"Por favor intenta \002/msg %s HELP %s\002 para mas ayuda con este comando." },
{ RPL_PASSNOTOKAY,	"El password proporcionado \002NO\002 es correcto para el nick \002%s\002." },
{ RPL_EMAILHACK1,	"\002Cuidado!\002 Haz puesto un password incorrecto muchas veces!" },
/* 20 - 39 */
{ RPL_EMAILHACK2,	"Una notificacin por email ha sido enviada a el dueo de este nick." },
{ RPL_EMAILHACK3,	"Por favor \002detn tus intentos de identificarte\002 hasta que recibas este email." },
{ RPL_EMAILHACK4,	"Si no recibes este email, entra a " NETCHAN " para asistencia." },
{ RPL_EMAILHACK5,	"Otros intentos mas de identificarte resultarn en la \002desconexin de la red por la fuerza.\002" },
{ RPL_EMAILHACK6,	"Ahora sers desconectado de la red por hackear un nick. Fuiste avisado!" },
{ ERR_NICKNOTREGGED,	"El nick \002%s\002 no est registrado con NickServ." },
{ RPL_INFOHEADER,	"-=[ Informacin de NickServ para \002%s\002 ]=-" },
{ RPL_INFOFOOTER,	"-=[ Fin de la informacin ]=-" },
{ RPL_INFOBANISHED,	"Este nick ha sido permanentemente \002BANEADO\002 por la administracin de Serenity-IRC." },
{ RPL_INFONOWON,	"(Ahora en IRC) Para mas informacin: /whois %s" },
{ RPL_INFODEREG,	"Este nick ha sido \002DEREGISTRADO\002 por la administracin se Serenity-IRC." },
{ RPL_INFOLASTSEEN1,	"ltima direccin vista - %s@%s [%s]" },
{ RPL_INFOLASTSEEN2,	"Visto ltimamente      - %s" },
{ RPL_INFOREGGEDON,	"Registrado en          - %s" },
{ RPL_INFOEMAIL,	      "Direccin de email     - %s" },
{ RPL_INFOACCESS,	      "Acceso a servicios     - %s" },
{ RPL_INFOOPTIONS,	"Opciones puestas       - %s" },
{ RPL_INFOMEMO,		"Configuracin de memo  - %s" },
{ RPL_INFOLINKID,	      "ID's remotas           - %s" },
{ RPL_INFOCURRENTACC,	"Acceso Actual          - %s" },
/* 40 - 59 */
{ RPL_INFODATA,		"Datos de IRCop         - [channels: %i] [memos: %i] [masks: %i] [floodlevel: %i]" },
{ RPL_INFOSTATUS, 	"Status actual          - %s" },
{ RPL_INFOREGBY,	      "Registrado por         - %s@%s" },
{ RPL_INFOTIMENOW,	"Tiempo ahora           - %s" },
{ ERR_NEEDID,		"Lo siento, pero necesitas estar identificado con este nick antes de usar este comando." },
{ RPL_NSETIS,		"\002%s\002 est actualmente puesto en \002%s\002 para este nick." },
{ RPL_NSETNOW,		"\002%s\002 ha sido cambiado a \002%s\002 para este nick." },
{ ERR_BADSETTING,	"Lo siento, pero \002%s\002 es una configuracin desconocida para mi." },
{ ERR_BADPASSWORD,	"Lo siento, pero ese no es un password aceptable, por favor escoge otro." },
{ RPL_PASSWORDNOW,	"El password de tu nick ha sido cambiado a \002%s\002." },
{ ERR_VALIDEMAIL,	"Por favor, especifica una direccin de email vlida en la forma usuario@host." },
{ ERR_NICKLIMIT,	"Lo siento, pero haz alcanzado el lmite de registros de nick. No puedes registrar mas." },
{ ERR_NOWEBMAIL,	"Lo siento, pero Serenity-IRC no acepta correos basados en Web, para el registro de nicks." },
{ RPL_TEMPDEAC1,	"Tu nick ha sido temporalmente desactivado para verificar la nueva direccin de email.." },
{ RPL_TEMPDEAC2,	"El proceso para reactivar tu nick ser el mismo que cuando lo registraste." },
{ RPL_TEMPDEAC3,	"Toda la configuracin del nick ser guardada para cuando lo reactives." },
{ RPL_TEMPDEAC4,	"El nuevo nmero de activacin fue mandado a \002%s\002." },
{ ERR_NOMAILSENT,	"Lo siento, pero el email no pudo ser enviado a la direccin especificada." },
{ ERR_ALREADYREG,	"El nick ya est registrado. No puedes registrarlo otra vez." },
{ ERR_NEEDTOACT,	"El nick ya est registrado, ahora solo puede ser activado." },
/* 60 - 79 */
{ ERR_CANNOTREGTHIS,	"Este nick no puede ser registrado, por favor escoge otro." },
{ ERR_BANNEDEMAIL,	"Este email est \002BANEADO\002 para usarse en Serenity-IRC. Por favor usa otro." },
{ ERR_CANNOTGHOSTSELF,	"Lo siento, pero no puedes darte kill a ti mismo." },
{ ERR_NOTONLINE,	"El nick \002%s\002 no est siendo usado - no puedes usar ghost." },
{ ERR_ACCESSDENIED,	"Lo siento, acceso denegado para esta operacin." },
{ RPL_NICKGHOSTED,	"El nick \002%s\002 ha recibido el ghost. Ahora puede ser usado." },
{ RPL_TOCHANOPS,	"\002(Ops:%s)\002 %s" },
{ RPL_AUTOSET_S,	"Este canal est puesto en modo +s para usuarios mas jvenes. Esto no afectar al canal de otra manera que, hacerlo invisible en la lista de canales." },
{ RPL_NOOPSFROZEN,	"No se te permiten privilegios de op en este canl, ha sido \002CONGELADO\002." },
{ RPL_CHANDESC,		"(\002%s\002): %s" },
{ RPL_NOOPS,		"Lo siento, no se te permiten privilegios de op en este canal." },
{ RPL_PING1,		"\001PING %s\001" },
{ RPL_PING2,		"\001PING %s %s\001" },
{ ERR_CHANNOTREGGED,	"El canal \002%s\002 No est registrado con ChanServ." },
{ RPL_NEXTDBSYNC,	"Siguiente database Synch(save) en %d minutos." },
{ RPL_CHANINFO1,	"-=[ Informacin de ChanServ para \002%s\002 ]=-" },
{ 76, "Tu nick \002%s\002 Est ahora exitosamente registrado y activado!" }, 
{ 77, "Tu primera access-mask es \002%s\002. Si quieres agregar mas access-masks," },
{ 78, "Intenta usando: /ns \002ADDMASK\002" },
{ 79, "La hora de tu registro es %s " },
/* 80 - 99 */
{ 80, "El password de tu nick es \002%s\002. por favor, escrbelo, para que no se te pierda." },
{ 81, "Bienvenido a la red de IRC de Serenity-IRC, disfruten su estancia!" },
{ 82, "Tu nick ha sido exitosamente reactivado!" },
{ 83, "Este nick ya est activado. No puedes activarlo otra vez." },
{ RPL_NICKDROPPED,	"Tu nick \002%s\002 ya no est registrado." },
{ RPL_YOURACCESSIS,	"Tu actual nivel de acceso es \002%i\002." },
{ RPL_CHANINFO2,	"Fundador            - %s" },
{ RPL_CHANINFO3,	"Desc                - %s" },
{ RPL_CHANINFO4,	"Topic               - %s (%s)" },
{ RPL_CHANINFO5,	"Opciones            - %s%s%s%s%s%s%s" },
{ RPL_CHANINFO6,	"Configurarcin      - [Nivel de topic: %i+] [Nivel de restriccin: %i+] [Modos: %s]" },
{ RPL_CHANINFO7,	"Canal registrado    - %s GMT" },
{ RPL_CHANINFO8,	"ltima vez usado    - %s GMT" },
{ RPL_CHANINFO9,	"Datos de IRCop      - %s%s%s%s[Ops: %i] [Akicks: %i]" },
{ RPL_CHANINFO10,	"-=[ Fin de la informacin de ChanServ ]=-" },
{ RPL_CHANACCESS1,	"%s tiene nivel de acceso %s en %s" },
{ RPL_CHANACCESS2,	"Tu tienes nivel de acceso %s en %s" },
{ ERR_NOTOPEDINCHAN,	"Tienes que estar dentro del canal y tener op, si quieres registrarlo." },
{ ERR_CHANALREADYREG,	"Este canal ya fue registrado, no puedes registrarlo otra vez." },
{ ERR_TOMANYREGCHAN1,	"Haz registrado demasiados canales." },
/* 100 - 119 */
{ ERR_TOMANYREGCHAN2,	"%s tiene demasiados canales registrados." },
{ RPL_CHANNOWREG,	"El canal \002%s\002 est ahora registrado bajo el nick \002%s\002 con acceso FOUNDER(15)." },
{ RPL_CHANREGNOTE,	"Tu canal tiene modelock para \002+tn-k\002 y la preservacin de topic est en \002ON\002." },
{ ERR_CHANFROZEN,	"Acceso denegado. Este canal est \002CONGELADO\002." },
{ ERR_NOOPON,		"%s No puede ser agregado a la lista de ops. Debes pedirles que quiten el seguro de su nick primero." },
{ RPL_CHANTRANS,	"El status de founder de \002%s\002 es transferido a \002%s\002." },
{ RPL_ACCESSHEADER,	"-=[ Lista de accesos para \002%s\002 ]=-" },
{ RPL_ACCESSLIST1,	"Mask %i) \002%s\002" },
{ RPL_ACCESSFOOTER,	"-=[ Fin de la lista de accesos ]=-" },
{ ERR_NOREMOTEACC,	"Lo siento, no puedes ver la lista de accesos para \002%s\002." },
{ RPL_CURRENTACC,		"El nivel actual para %s es \002%i\002." },
{ RPL_LISTOPHEADER,	"-=[ Lista de todos los IRC operators en lnea ]=-" },
{ RPL_LISTOP1,		"(%-2i) %-30s %s%s" },
{ RPL_LISTOPFOOTER,	"-=[ Fin de la lista de operadores ]=-" },
{ ERR_BADACCMASK,       "Lo siento, pero esa access-mask es muy larga." },
{ ERR_TOOMANYACCMASKS,  "Haz alcanzado el lmite de access-masks, por favor borra algunas antes de agregar otras." },
{ ERR_CHANAXTOOLOW,	"Tu acceso es muy bajo para realizar este comando." },
{ ERR_CHANNOMOREOPS,	"Lo siento, \002%s\002 ha alcanzado el lmite de ops. No puedo agregar mas ops." },
{ ERR_UNKAXLEVEL, 	"El nivel que tu especificaste \002%s\002 no es un nivel vlido." },
{ ERR_NOAXCGFOUNDER,	"Lo siento, \002%s\002 es el fundador del canal y no puede ser ajustado en \002%s\002." },
/* 120 - 139 */
{ RPL_CHANAXCHANGE,	"Acceso cambiado de \002%s\002 a \002%s\002" },
{ RPL_CHANOPADDED,	"Op agregado #%i \002%s\002 como \002%s\002" },
{ ERR_CHANNOMOREAKICK,	"Lo siento, \002%s\002 ha alcanzado el lmite de akicks. No puedo agregar mas akicks." },
{ ERR_THISEXISTS, 	"Lo siento, \002%s\002 ya existe en la lista %s." },
{ ERR_INVALIDAKICK,	"Lo siento, %s no es un akick vlido." },
{ RPL_CHANAKICKADDED,	"Akick agregado \002%s\002 a \002%s\002" },
{ ERR_NOTINOPSLIST,	"Lo siento, \002%s\002 no existe en la lista de ops para \002%s\002." },
{ RPL_CHANOPDELED,	"Op borrado \002%s\002 en \002%s\002." },
{ ERR_AKICKNOTEXIST, 	"Lo siento, \002%s\002 no existe en la lista de akicks en\002%s\002." },
{ RPL_CHANAKICKDELED,	"Akick borrado \002%s\002 de \002%s\002" },
{ RPL_CHANOPSLISTHEAD1,	"-=[ Lista de ops pars \002%s\002 ]=-" },
{ RPL_CHANOPSLISTHEAD2,	"(Indice) Nick                            Nivel" },
{ RPL_CHANOPSLISTDATA,	"(%-3i) %-30s [%s]" },
{ RPL_LISTSEARCHNUM,	"\002%i\002 corresponden de \002%i\002 elementos buscados." },
{ RPL_CHANOPSLISTEND,	"-=[ Fin de lista de ops ]=-" },
{ RPL_CHANAKLISTHEAD1,	"-=[ Lista de akicks para \002%s\002 ]=-" },
{ RPL_CHANAKLISTHEAD2,	"(Indice) (Mask)" },
{ RPL_CHANAKLISTHEAD3,	"(Hora [GMT])     (Razn)" },
{ RPL_CHANAKLISTDATA1,	"(%-3i) (%-s)" },
{ RPL_CHANAKLISTDATA2,	"(%s) (%s)" },
/* 140 - 159 */
{ RPL_CHANAKLISTEND,	"-=[ Fin de lista de Akicks ]=-" },
{ RPL_CHANDROP,		"El registro de canal para \002%s\002 ha sido descontinuado." },
{ ERR_NICKNOTINCHAN,	"Lo siento, \002%s\002 no est en \002%s\002." },
{ RPL_NOWCHANOPERATOR,	"Tu eres ahora un operador de canal en \002%s\002." },
{ RPL_NOTCHANOPERATOR,	"Ya no eres un operador de canal en \002%s\002." },
{ ERR_NOSUCHCHAN,	"Lo siento, \002%s\002 no existe." },
{ RPL_NUMUSERSINCHAN,	"\002%d\002 usuarios en \002%s\002." },
{ RPL_CHANCLISTDATA,	":%s -> %s%s" },
{ ERR_MISSINGKEY,	"Debes especificar una clave para que un canal tenga modelock +k." },
{ ERR_MISSINGLIMIT,	"Debes especificar un lmite para que un canal tenga modelock +l." },
{ RPL_MLOCKSETTO,	"Modo para \002%s\002 est ahora aseguraro a \002%s\002." },
{ RPL_RESTRICTSETTO,	"\002%s\002 est ahora restricto a \002%i+\002 nivel de usuarios." },
{ RPL_TOPICLOCKSETTO,	"La rectriccin de topic para \002%s\002 ha sido cambiada a niveles \002%i+\002." },
{ RPL_CHANSETSTATUS,	"\002%s\002 para \002%s\002 es \002%s\002." },
{ RPL_CHANSETDESC,	"La descripcin para \002%s\002 es: %s" },
{ RPL_CHANSETDESCCLEAR,	"Descripcin de \002%s\002 limpiada." },
{ RPL_REMCHANBANS,	"Ban removido: %s" },
{ RPL_CHANLIST,		"%s (%s) [%i/%i]" },
{ RPL_CHANMASSDEOP,	"Deop: %s" },
{ RPL_CHANMASSDEVOICE,	"DeVoice: %s" },
/* 160 - 179 */ 
{ RPL_CHANMASSKICK,	"Masskick completo, \002%i\002 gente pateada, \002%s\002 limpiado." },
{ RPL_CHANMODECLEAR,	"Modeclear para \002%s\002 exitoso." },
{ ERR_BADMASK,		"Lo siento, \002%s\002 no es una forma correcta de Mask."},
{ RPL_AKILLADDED,	"Agregado %s para \002%s\002 para \002%s\002 [%s]" },
{ ERR_MASKEXISTS,	"La Mask \002%s\002 ya existe en la lista %s." },
{ ERR_INVALIDMODES,	"Lo siento, %s es una lista de modes invlida." },
{ ERR_NOSUCHSERVER,	"Lo siento, no existe ese servidor \002%s\002." },
{ ERR_ALREADYSVSNOOP,	"Lo siento, \002%s\002 ya est en el modo SVSNOOP." },
{ ERR_NOTSVNOOP,	"Lo siento, \002%s\002 no est en modo SVSNOOP." },
{ RPL_EKILLEMPTY,	"La lista de Dynamic EKILL esta vaca." },
{ RPL_EKILLHEAD,	"-=[ Lista de Dynamic EKILL ]=-" },
{ RPL_EKILLDATA,	"%-25s (puesto por %s) %s %s" },
{ RPL_EKILLEND,		"-=[ Fin de la lista ]=-" },
{ ERR_NOSUCHEKILL,	"Lo siento, No existe el EKILL: \002%s\002." },
{ RPL_EKILLDELED,	"EKILL removido para \002%s\002" },
{ ERR_EKILLEXISTS,	"Ese EKILL ya existe: \002%s\002" },
{ RPL_EKILLADDED,	"EKILL agregado para \002%s\002." },
{ RPL_RESTARTING,	"Reiniciando." },
{ RPL_SHUTTINGDOWN,	"Apagando." },
{ RPL_PERMCLONEIGNHEAD,	"-=[ Lista de ignores a clones permanente ]=-" },
/* 180 - 199 */ 
{ ERR_ACCMASKNOTADDED,	"Lo siento - Pero la Mask \002%s\002 no ha sigo agregada, est mal hecha o ya existe." },
{ RPL_ACCMASKADDED,	"La Mask \002%s\002 ha sido agregada a tu lista de access-mask." },
{ RPL_ACCLISTCLEARED,	"Tu lista de access-list ha sido limpiada." },
{ RPL_ACCMASKREMOVED,	"La Mask \002%s\002 ha sido removida de tu lista de access-mask." },
{ ERR_ACCENTRYNOTFOUND, "Lo siento, La bsqueda #%s no fue encontrada en tu lista de access-mask." },
{ ERR_ACCMASKNOTFOUND,  "Lo siento, La mask \002%s\002 no fue encontrada en tu lista de access-mask." },
{ RPL_NLIST1,		"%4i: %s %s" },
{ RPL_NLIST2,		"%4i: %s!%s@%s%s" },
{ RPL_NLIST3,		"%4i: %s!%s@%s" },
{ ERR_PROPERHOST1,	"Lo siento, pero tienes que usar una hostmask en la forma nick!usuario@host." },
{ ERR_WIDEHOST,		"Lo siento, pero el rango es muy grande, por favor hazlo mas pequeo." },
{ RPL_NLISTHEADER,	"-=[ Inicio de la lista (\002%s\002) ]=-" },
{ RPL_NLISTFOOTER,	"-=[ Fin de la lista \002%i\002 de \002%i\002 correspondieron a la condicin \002%s\002) ]=-" },
{ ERR_NLISTEMPTY,	"Lo siento, pero tu bsqueda no tuvo resultados." },
{ RPL_NICKRELEASED,	"El nick \002%s\002 ha sido soltado, y est disponible para uso otra vez." },
{ ERR_NICKNOTHELD,	"Lo siento, pero el nick %s no est siendo detenido por servicios." },
{ ERR_BADFLAG,		"Lo siento, pero \002%c\002 es una bandera(flag) desconocida para mi." },
{ RPL_CHANGEDFLAGS,	"Haz cambiado las banderas(flags) para \002%s\002 a \002%s%s%s%s\002." },
{ RPL_BANNEDNICK,	"Haz baneado permanente el nick \002%s\002 para su uso." },
{ RPL_GETPASS,		"El password para el nick \002%s\002 ha sido enviado al email \002%s\002." },
/* 200 - 219 */
/* Ax0n: 200 - 219 */
{ RPL_PERMCLONEIGNDATA,	"%i) %s" },
{ RPL_PERMCLONEIGNEND,	"-=[ Fin de lista de ignores permanentes ]=-" },
{ RPL_UPTIME1,		"Los servicios han estado en lnea por:" },
{ RPL_UPTIME2,		"%i Dias, %i horas, %i minitos, and %i segundos." },
{ RPL_ALLOCSTAT1,	"smalloc() info:    Usada %i veces" },
{ RPL_ALLOCSTAT2,	"sfree() info:      Usada %i Veces" },
{ RPL_CLONESTATUS1,	"%s@%s tiene %i/%i clones (total/trigger)" },
{ RPL_CLONESTATUS2,	"%s tiene %i/%i clones (total/trigger)" },
{ ERR_INVALIDTRIGLEVEL,	"Por favor especifia un nivel vlido de trigger." },
{ ERR_NOSUCHTRIGGER,	"No usuario usuario@host (%s@%s)." },
{ RPL_NOCLONEFLAGS,	"%s no tiene configuracin de cloneflags." },
{ RPL_HASCLONEFLAGS,	"%s tiene banderas(flags): %s%s%s" },
{ ERR_PERMIGNEXISTS,	"%s ya est en perm ignore." },
{ ERR_NOSUCHPERMIGN,	"%s no est en perm ignore." },
{ ERR_UNKNOWNFLAG,	"Bandera(flag) desconocida %s." },
{ ERR_UNKNOWHOST,	"Host desconocido %s." },
{ ERR_NOMATCH,		"No hay resultados para %s@%s" },
{ RPL_MAPHEAD,		"-=[ Lista de servidores conectados ]=-" },
{ RPL_MAPDATA,		"%s (%s)" },
{ ERR_PROPERHOST2,	"Lo siento, pero tienes que usar una hostmask en la forma usuario@host." },
/* 220 - 239 */
{ RPL_GETKEY,		"El nmero de activacin para \002%s\002 es \002%s\002." },
{ RPL_GETREALPASS,	"El password para el nick \002%s\002 es \002%s\002." },
{ RPL_DELETE,		"El nick \002%s\002 ha sido removido de la base de datos." },
{ RPL_SAVE,		"La base de datos de NickServ ha sido sincronizada al disco." },
{ ERR_ALREADYLINKID,	"Tu te has identificado remotamente para el nick \002%s\002." },
{ ERR_MAXLINKID,	"No puedes estar remotamente identificado para mas de \002%i\002 nicks." },
{ RPL_NICKWARN1,	"El nick est registrado. Si este es tu nick, por favor identifcate a NickServ ahora." },
{ RPL_NICKWARN2,	"Si no te identificas, tu nick ser cambiado en 30 segundos." },
{ RPL_NICKWARN3,	"Para identificarte, usa el comando \002IDENTIFY\002 : \002/ns IDENTIFY <tu password>\002" },
{ RPL_NICKWARN4,	"Te quedan 15 segundos para identificarte, antes de que tu nick sea cambiado." },
{ RPL_NICKWARN5,	"Tu nick ha sido cambiado. Por favor usa un nick que no est registrado an." },
{ RPL_HELP,		"%s" },
{ RPL_YOUHAVEMEMOS,	"Tienes \002%i\002 memo(s) nuevo(s) esperando. (\002%i\002 total)" },
{ RPL_MEMO1,		"\002%2i\002. Recibido en %-30s [%s]" },
{ RPL_MEMO2,		"    \002%s\002: %s" },
{ ERR_NOSUCHMEMO, 	"Lo siento, pero no hay memo \002%i\002." },
{ RPL_MLISTHEADER,	"-=[ Lista de memos para \002%s\002 ]=-" },
{ RPL_MLIST1,		"\002%2i\002. Recibido en %-30s de \002%s\002 [%s]" },
{ RPL_MLISTFOOTER,	"-=[ Fin de la lista de memos ]=-" },
{ ERR_MLISTEMPTY,	"Lo siento, pero tu lista de memos est vaca." },
/* 240 - 259 */
{ ERR_MEMOTOOLONG,	"Lo siento, pero tu memo es muy largo, Por favor, mantenlo en menos de \002%i\002 caracteres." },
{ ERR_ISNOMEMO,		"Lo siento, pero \002%s\002 no te permite enviarle memos." },
{ ERR_MEMOBOXFULL,	"Lo siento, pero la caja de memos de \002%s\002 est llena. " },
{ ERR_TOOMANYMEMOS,	"Lo siento, pero has enviado demasiados memos. " },
{ RPL_GOTNEWMEMO,	"\002%s\002 te acaba de enviar un memo, para leerlo: \002/msg MemoServ READ %i\002" },
{ RPL_SENTMEMO,		"Tu memo ha sido exitosamente enviado a \002%s\002" },
{ ERR_ISNOFORWARD,	"Lo siento, pero \002%s\002 no te permite que le enves memos en forward a el." },
{ RPL_MEMOFORWARDED,	"Has hecho forward exitosamente de \002%i\002 memo%s a \002%s\002", },
{ ERR_NOFWDTOSELF,	"Lo siento, pero hacer forward a ti mismo me parece extrao. " },
{ RPL_DELMEMO,		"Haz borrado \002%s\002 memos." },
{ RPL_DELMEMONR,	"Haz borrado el memo \002%i\002." },
{ RPL_MAPEND,		"-=[ Fin de a lista de servidores ]=-" },
{ RPL_MMAX,		"\002%s\002 est puesto en \002%i\002 para este nick." },
{ ERR_MMAXSET,		"Lo siento,  pero tienes que escoger un nmero entre \002 1\002 y \002%i\002" },
{ RPL_MMAXNOW,		"\002%s\002 ha sido ahora puesto en \002%i\002 para ete nick." },
{ RPL_MFORWARD,		"Tus memos estn actualmente siendo mandados a \002%s\002." },
{ RPL_MFORWARDNOW,	"Tus memos estn ahora siendo mandados a \002%s\002." },
{ ERR_NOFWDMEMOS,	"Lo siento, pero \002%s\002 no te permite que le redirigas memos a el." },
{ RPL_MEMOSRETRIEVED,	"Todos tus memos han sido mandados al email \002%s\002." },
{ ERR_MNEEDLEVEL,	"Lo siento, pero necesitas especificar un nivel de chanop." },
/* 260 - 279 */
{ RPL_SENTMEMOCHAN,	"Tu memo ha sido entregado a \002%i\002 de \002%i\002 destinos." },
{ ERR_JINXEXIST,	"Lo siento, pero ese \002%s\002 para \002%s\002 ya existe." },
{ ERR_NOSUCHNICK,	"Lo siento, pero \002%s\002 no parece estar en lnea." },
{ ERR_CANTJINXSRA,	"Lo siento, pero no puedes poner jinx a un Service Root." },
{ ERR_NOSUCHJINX,	"Lo siento, pero no parece haber un \002%s\002 para \002%s\002." },
{ RPL_JINXLISTEMPTY,	"Lo siento, pero no hay \002%s\002 puestos." },
{ RPL_JINXLISTHEADER,   "-=[ Listado de todos los \002%s\002 ]=-" },
{ RPL_JINXLISTFOOTER,   "-=[ Fin de la lista de \002%s\002 ]=-" },
{ RPL_JINXLIST1,	"%-25s [set by %s] (%s) %s" },
{ RPL_JINXADDED,	"Haz agregado exitosamente un \002%s\002 para el nick \002%s\002." },
{ RPL_JINXREMOVED,	"Haz removido exitosamente \002%s\002 para el nick \002%s\002." },
{ ERR_NEEDUSERHOST,	"Lo siento, pero tienes que proporcionar una mask en la forma usuario@host." },
{ ERR_THISISNONICKDUMMY,"Este es un \002nick enforcer\002 registrado con NickServ, y no un usuario real." },
{ ERR_NOHELPONTHAT,	"Lo siento, pero no hay ayuda disponible para \002%s\002. Porfavor, entra a " NETCHAN " para asistencia." },
{ ERR_BADCHANNELNAME,	"Lo siento, pero \002%s\002 no es un nombre de canla vlido." },
{ RPL_CHANCLOSED,	"El canal \002%s\002 ha sido \002CERRADO\002." },
{ ERR_CHANNOTCLOSED,	"El canal \002%s\002 no ha sido \002CERRADO\002." },
{ RPL_CHANUNCLOSED,	"El canal \002%s\002 ha sido \002RE-ABIERTO\002." },
{ RPL_GLOBALNOTICE,	"\002Bienvenidos a Serenity-IRC\002" },
{ ERR_NOTAVALIDNUMBER,  "\002%s\002 is not a valid number." },
/* 280 - 299 */
{ ERR_INCORRECTUSAGE,   "You used the %s command incorrectly."},
{ RPL_INFOREMARK,       "\002Remark #%i\002 by %s on %s: %s"},
{ RPL_DELREMARK,        "The specified remark for \002%s\002 has been removed."},
{ RPL_ADDREMARK,        "Remark for \002%s\002 added."},
{ -1, "" }
};

#endif
