#ifndef __OPERSERV_H
#define __OPERSERV_H

#include "nickserv.h"

/*
 * ===DOC=== 
 * Straightforward I hope...simple AKill structure
 * nick!user@host + reason (for akill)
 */

struct access_mod {
	struct access_mod *next, *prev;
	char            nick[NICKLEN];
	char            user[USERLEN];
	char            host[HOSTLEN];
	time_t          set;
	time_t          unset;
	char            setby[NICKLEN];
	char            reason[80];
	char            type;
	unsigned int    tid;
	unsigned int    id;
};

/*
#define OAKILL   0x0001
#define OIGNORE  0x0002
#define OTRIGGER 0x0004
*/
void			sendToOperServ(UserList *, char **, int);
struct access_mod	*isAKilled(char *, char *, char *);
struct access_mod       *isExempted(char *, char*, char*);
struct access_mod       *isHJinxed(char *, char*, char*);
struct access_mod	*isIgnored(char *, char *, char *);
void                    send_matching_exempts(char *nick, char *user, char *host);
void			addTempHost(long, char *, char *, int);
void			loadAKills(void);
void			saveAKills(void);
char			*expand_time(long);

void OaccessmodCmd(UserList *, char **, int);
void OmodeCmd(UserList *, char **, int);
void OrawCmd(UserList *, char **, int);
void OinjectCmd(UserList *, char **, int);
void OshutdownCmd(UserList *, char **, int);
void OrestartCmd(UserList *, char **, int);
void OjupeCmd(UserList *, char **, int);
void OsyncCmd(UserList *, char **, int);
void OuptimeCmd(UserList *, char **, int);
void OmkillCmd(UserList *,char **, int);
void OjinxCmd(UserList *, char **, int);
void OpermjinxCmd(UserList *, char **, int);
void OhostjinxCmd(UserList *, char **, int);
void ObroadcastCmd(UserList *, char **, int);
void OmapCmd(UserList *, char **, int);
void OekillCmd(UserList *, char **, int);
void OlistCmd(UserList *, char **, int);
void OsvsnoopCmd(UserList *, char **, int);
void OenforceCmd(UserList *, char **, int);
void OlogaccessCmd(UserList *, char **, int);
void OallocstatCmd(UserList *, char **, int);
void OtriggerCmd(UserList *, char **, int);
void OclonesetCmd(UserList *, char **, int);
void OrootOpsCmd (UserList *,char **,int);
void OlistOpsCmd (UserList *,char **,int);
void OantispamCmd (UserList *,char **,int);
void OsvsjoinCmd(UserList *, char **, int);
void OsvspartCmd(UserList *, char **, int);
void OsvsbeamCmd(UserList *, char **, int);
void OrollupCmd(UserList *, char **, int);

#endif /* __OPERSERV_H */
