/*
 * New Services Options. Just put in options that are likely to change here. (-GZ)
 *
 */

#ifndef __OPTIONS_H
#define __OPTIONS_H

#include "config.h"

/* Location and path defines */

/* The path to the databases */
#define DBDIR "db"
/* The default path for services data */
#define CFGFILE "services.conf"
/* Location of the .pid file */
#define PIDFILE "services.pid" 		
/* Here we keep our core-archive */
#define COREDIR "cores" 		
/* This is the actual name of your corefile */
#define COREFILE "core"						
/* Directory to put logfiles */
#define LOGDIR "logs"

/* Debugging and coding related defines */

#undef NOFORK 						/* With this defined services wont fork */
#define FORCE_CORE					/* Force services to spit out a core file */
#undef DEBUG						/* Specify DEBUG-LEVEL (#define DEBUG <level>) */
/* #define DEBUG 5 */
#undef DBDEBUG						/* Debug database calls */
#undef CDEBUG						/* Channel debug */
#undef HASHDEBUG					/* Hash table debug */
#ifdef DEBUG
	void _debug(int level, char *msg, ...);
	#define Debug(x) _debug x
#else
	#define Debug(x) ;
#endif
#define DEBUG_ERROR     1 				/* Errors are reported */
#define DEBUG_WARN      2				/* Debug warnings */
#define DEBUG_NOTICE    3 				/* Debug notices */
#define DEBUG_INFO      4				/* Debug information */
#define DEBUG_TCP       5 				/* Connection, Sent, Received, etc */
#undef  TELNET						/* Enable telnet port for debugging */
#undef ANALYSE_FUNCTIONS				/* Allows advanced command debugging */

/* Network defines */

#define NETWORK		"Serenity-IRC"				/* Define your network name */
#define NETHOST		"Serenity-IRC.Net"
#define NETCHAN		"#help"
#define SERVERMLINE	"Serenity-IRC Network User Services"		/* Define your server MLINE */
#define AKILLMSG	"This user has been autokilled, Please mail kline@serenity-irc.net for more information"
#define AKILLMAILTO	"kline@serenity-irc.net"		/* This is where akill mail goes to */
#define BACKUPDATABASE					/* Define if you want to backup databases or not */
#define MAXSQ  500000                                   /* Max amount of bytes allowed in your send queue */
#define MAXRQ  500000                                   /* Max amount of bytes alloed in your receive queue */

#endif
