#include "services.h"


void AddJinx(char *nick, char *by, char *reason)
{

    aJinx *Jinxptr;

    Jinxptr = make_jinx();
    strncpy(Jinxptr->nick, nick, sizeof(Jinxptr->nick));
    strncpy(Jinxptr->by, by, sizeof(Jinxptr->by));
    Jinxptr->time = CTime;
    strncpy(Jinxptr->reason, reason, sizeof(Jinxptr->reason));

    if (JinxList == NULL)
	JinxList = Jinxptr;
    else {
	JinxList->prev = Jinxptr;
	Jinxptr->next = JinxList;
	JinxList = Jinxptr;
    }

    return;
}

aJinx *make_jinx()
{
    aJinx *Jinxptr;

    Jinxptr = (aJinx *) smalloc(sizeof(aJinx));

    Jinxptr->nick[0] = '\0';
    Jinxptr->by[0] = '\0';
    Jinxptr->time = 0;
    Jinxptr->reason[0] = '\0';
    Jinxptr->prev = Jinxptr->next = NULL;

    return Jinxptr;
}

void free_jinx(jinxptr)
aJinx *jinxptr;
{
    free((char *) jinxptr);
}

void DeleteJinx(char *nick)
{

    aJinx *jinxptr;
    aJinx *jinxptr2;

    if (JinxList == NULL)
	return;

    for (jinxptr = JinxList; jinxptr; jinxptr = jinxptr2) {
	jinxptr2 = jinxptr->next;
	if (!strcasecmp(jinxptr->nick, nick)) {
	    if (jinxptr->prev)
		jinxptr->prev->next = jinxptr->next;
	    else
		JinxList = jinxptr->next;
	    if (jinxptr->next)
		jinxptr->next->prev = jinxptr->prev;
	    free_jinx(jinxptr);
	    return;
	}
    }

    return;
}

int CheckJinx(char *jinx)
{

    aJinx *jinxptr;
    aJinx *jinxptr2;

    if (JinxList == NULL)
	return 0;

    for (jinxptr = JinxList; jinxptr; jinxptr = jinxptr2) {
	jinxptr2 = jinxptr->next;
	if (!strcasecmp(jinxptr->nick, jinx)) {
	    return 1;
	}
    }

    return 0;
}

int FreeJinxedHost(char *hostmask, char *from)
{
    UserList *tmp;

    int i = 0;

    for (tmp = firstUser; tmp; tmp = tmp->next) {
	if (JinxHostMatch(tmp->nick, tmp->user, tmp->host, hostmask)) {
	    if (CheckJinx(tmp->nick)){
	        i++;
	        DeleteJinx(tmp->nick);
	        sSend(":%s UNJINX %s", myname, tmp->nick);
	    }
	}
    }
    sSend(":%s GLOBOPS :\002%d\002 active JINX's removed", OperServ, i);
    return i;
}

int JinxJinxedHost(char *hostmask, char *by, char* reason)
{
  UserList *tmp;

  int i = 0;

  for (tmp = firstUser; tmp; tmp = tmp->next) {
      if (JinxHostMatch(tmp->nick, tmp->user, tmp->host, hostmask)) {
          if(!CheckJinx(tmp->nick)){
	     i++;
	     AddJinx(tmp->nick, by, reason);
	     sSend(":%s JINX %s", myname, tmp->nick);
          }
      }
  }
  sSend(":%s GLOBOPS :\002%d\002 JINX's activated", OperServ, i);
  return i;
}

int JinxHostMatch(char *nick, char *user, char *host, char *mask)
{
  /* isHJinxed is totaly messed up as far as FreeJinxedHost is concerned */
  /* so something else needs to compare the mask.... */

  int nick_match;
  int user_match;
  int host_match;

  char *temp_mask;
  char *string_ptr;
  char *string_end;

  temp_mask = (char *)smalloc( (sizeof( char) * strlen(mask)) + sizeof(char));
  sprintf( temp_mask, "%s", mask);
  
  string_end = index( temp_mask, '!');
  *string_end = (char) NULL;
  nick_match = match( nick, temp_mask);
  *string_end = '!';

  string_ptr = string_end + 1;
  string_end = index( temp_mask, '@');
  *string_end = (char) NULL;
  user_match = match( user, string_ptr);
  *string_end = '@';

  string_ptr = string_end + 1;

  host_match = match( host, string_ptr);

  sfree( temp_mask);

  if (!nick_match && !user_match && !host_match)
    return 1;
  else
    return 0;

}
