/*
 * New Services Message Tables by GZ (April 2000)
 * +New Kinky FloodProtection
 *
 */

#include "services.h"

struct Message NSmsgtab[] = {
    {"id", NidentifyCmd, NEEDACTNICK, 0, 0, 2},
    {"identify", NidentifyCmd, NEEDACTNICK, 0, 0, 2},
    {"info", NinfoCmd, 0, 0, 0, 1},
    {"sidentify", NidentifyCmd, NEEDACTNICK, 0, 0, 2},
    {"register", NregisterCmd, 0, 0, 0, 3},
    {"set", NsetCmd, NEEDACTNICK | NEEDID, 0, 0, 2},
    {"ghost", NghostCmd, 0, 0, 0, 3},
    {"activate", NactivateCmd, NEEDREGNICK, 0, 0, 2},
    {"listops", NlistopsCmd, 0, 0, 0, 1},
    {"addmask", NaddMaskCmd, NEEDACTNICK | NEEDID, 0, 0, 1},
    {"drop", NdropCmd, NEEDREGNICK | NEEDID, 0, 0, 2},
    {"list", NlistCmd, NEEDACTNICK | NEEDOPER, 0, 0, 2},
    {"access", NaccessCmd, NEEDACTNICK | NEEDID, 0, 0, 2},
    {"setflags", NsetflagsCmd, NEEDACTNICK | NEEDSERVOP, 0, 0, 3},
    {"webtvcount", NwebtvcountCmd, NEEDOPER, 0, 0, 1},
    {"banish", NbanishCmd, NEEDACTNICK | NEEDROOT, 0, 0, 2},
    {"getpass", NgetpassCmd, NEEDACTNICK | NEEDOPER, 0, 0, 2},
    {"getkey", NgetkeyCmd, NEEDACTNICK | NEEDSERVOP, 0, 0, 2},
    {"getrealpass", NgetrealpassCmd, NEEDACTNICK | NEEDROOT, 0, 0, 2},
    {"delete", NdeleteCmd, NEEDACTNICK | NEEDOPER, 0, 0, 2},
    {"save", NsaveCmd, NEEDACTNICK | NEEDROOT, 0, 0, 1},
    {"resend", NresendCmd, NEEDACTNICK | NEEDSERVOP, 0, 0, 2},
    {"mark", NmarkCmd, NEEDOPER, 0, 0, 4},
#ifdef ANALYSE_FUNCTIONS
    {"debug", NSdebug, NEEDROOT, 0, 0, 0},
#endif
    {NULL, NULL, 0, 0, 0, 0}
};

struct Message CSmsgtab[] = {
    {"acc", CaccessCmd, 0, 0, 0, 2},
    {"access", CaccessCmd, 0, 0, 0, 2},
    {"info", CinfoCmd, 0, 0, 0, 2},
    {"register", CregisterCmd, NEEDACTNICK, 0, 0, 2},
    {"addop", CaddopCmd, NEEDACTNICK, 0, 0, 3},
    {"addak", CaddakCmd, NEEDACTNICK, 0, 0, 3},
    {"delop", CdelopCmd, NEEDACTNICK, 0, 0, 3},
    {"delak", CdelakCmd, NEEDACTNICK, 0, 0, 3},
    {"listop", ClistopCmd, NEEDACTNICK, 0, 0, 2},
    {"listak", ClistakCmd, NEEDACTNICK, 0, 0, 2},
    {"drop", CdropCmd, NEEDACTNICK, 0, 0, 2},
    {"op", CopCmd, NEEDACTNICK, 0, 0, 2},
    {"deop", CdeopCmd, NEEDACTNICK, 0, 0, 2},
    {"clist", CclistCmd, NEEDACTNICK | NEEDSERVOP, 0, 0, 2},
    {"mlock", CmodelockCmd, NEEDACTNICK, 0, 0, 3},
    {"modelock", CmodelockCmd, NEEDACTNICK, 0, 0, 3},
    {"restrict", CrestrictCmd, NEEDACTNICK, 0, 0, 3},
    {"topiclock", CtopiclockCmd, NEEDACTNICK, 0, 0, 3},
    {"set", CsetCmd, NEEDACTNICK, 0, 0, 3},
    {"save", CsaveCmd, NEEDACTNICK | NEEDROOT, 0, 0, 1},
    {"unban", CunbanCmd, NEEDACTNICK, 0, 0, 3},
    {"invite", CinviteCmd, NEEDACTNICK, 0, 0, 2},
    {"list", ClistCmd, NEEDACTNICK | NEEDOPER, 0, 0, 3},
    {"delete", CdeleteCmd, NEEDACTNICK | NEEDSERVOP, 0, 0, 2},
    {"massdeop", CmassdeopCmd, NEEDACTNICK, 0, 0, 2},
    {"masskick", CmasskickCmd, NEEDACTNICK, 0, 0, 2},
    {"modeclear", CmodeclearCmd, NEEDACTNICK, 0, 0, 2},
    {"close", CcloseCmd, NEEDACTNICK | NEEDSERVOP, 0, 0, 3},

#ifdef ANALYSE_FUNCTIONS
    {"debug", CSdebug, NEEDROOT, 0, 0, 0},
#endif
    {NULL, NULL, 0, 0, 0, 0}
};

struct Message OSmsgtab[] = {
    {"jinx", OjinxCmd, NEEDOPER, 0, 0, 2},
    {"hostjinx", OaccessmodCmd, NEEDSERVOP, 0, 0, 2},
    {"broadcast", ObroadcastCmd, NEEDSERVOP, 0, 0, 2},
    {"ekill", OekillCmd, NEEDSERVOP, 0, 0, 2},
    {"list", OlistCmd, NEEDOPER, 0, 0, 2},
    {"map", OmapCmd, NEEDOPER, 0, 0, 1},
    {"trigger", OtriggerCmd, NEEDOPER, 0, 0, 2},
    {"cloneset", OclonesetCmd, NEEDOPER, 0, 0, 2},
    {"masskill", OmkillCmd, NEEDSERVOP, 0, 0, 2},
    {"mkill", OmkillCmd, NEEDSERVOP, 0, 0, 2},
    {"mode", OmodeCmd, NEEDOPER, 0, 0, 3},
    {"raw", OrawCmd, NEEDOPER | NEEDROOT, 0, 0, 2},
    {"inject", OinjectCmd, NEEDOPER | NEEDROOT, 0, 0, 2},
    {"enforce", OenforceCmd, NEEDROOT, 0, 0, 1},
    {"shutdown", OshutdownCmd, NEEDROOT, 0, 0, 1},
    {"svsnoop", OsvsnoopCmd, NEEDROOT, 0, 0, 3},
    {"allocstat", OallocstatCmd, NEEDROOT, 0, 0, 1},
    {"restart", OrestartCmd, NEEDOPER | NEEDROOT, 0, 0, 1},
    {"jupe", OjupeCmd, NEEDOPER, 0, 0, 2},
    {"jupiter", OjupeCmd, NEEDOPER, 0, 0, 2},
    {"sync", OsyncCmd, NEEDOPER | NEEDROOT, 0, 0, 1},
    {"uptime", OuptimeCmd, NEEDOPER, 0, 0, 1},
    {"rootops", OrootOpsCmd, NEEDOPER | NEEDROOT, 0, 0, 1},
    {"listops", OlistOpsCmd, NEEDOPER, 0, 0, 1},
    {"push",  OsvsjoinCmd, NEEDSERVOP, 0, 0, 3},
    {"part",  OsvspartCmd, NEEDSERVOP, 0, 0, 3},
    {"pull",  OsvspartCmd, NEEDSERVOP, 0, 0, 3},
    {"beam",  OsvsbeamCmd, NEEDSERVOP, 0, 0, 4},
    {"akill", OaccessmodCmd, NEEDOPER, 0, 0, 2},
    {"autokill", OaccessmodCmd, NEEDOPER, 0, 0, 2},
    {"exempt", OaccessmodCmd, NEEDOPER, 0, 0, 2},
    {"rollup", OrollupCmd, NEEDROOT, 0, 0, 2},
#ifdef ANALYSE_FUNCTIONS
    {"debug", OSdebug, NEEDROOT, 0, 0, 0},
#endif
    {NULL, NULL, 0, 0, 0, 0}
};

struct Message MSmsgtab[] = {
    {"del", MdeleteCmd, NEEDACTNICK | NEEDID, 0, 0, 2},
    {"delete", MdeleteCmd, NEEDACTNICK | NEEDID, 0, 0, 2},
    {"set", MsetCmd, NEEDACTNICK | NEEDID, 0, 0, 2},
    {"retrieve", MretrieveCmd, NEEDACTNICK | NEEDID, 0, 0, 1},
    {"forward", MforwardCmd, NEEDACTNICK | NEEDID, 0, 0, 3},
    {"list", MlistCmd, NEEDACTNICK | NEEDID, 0, 0, 1},
    {"send", MsendCmd, NEEDACTNICK | NEEDID, 0, 0, 3},
    {"csend", McsendCmd, NEEDACTNICK | NEEDID, 0, 0, 3},
    {"read", MreadCmd, NEEDACTNICK | NEEDID, 0, 0, 2},
#ifdef ANALYSE_FUNCTIONS
    {"debug", MSdebug, NEEDROOT, 0, 0, 0},
#endif
    {NULL, NULL, 0, 0, 0, 0}
};

void msgtabCheck(char *Service, UserList * tmp, char **args, int numargs)
{

    int i, registered, activated;
    int oper, servop, root, id;
    long timenow;
#ifdef ANALYSE_FUNCTIONS
    long before, ticks;
#endif
    struct Message *tabpointer = NULL;
    i = registered = activated = 0;
    oper = servop = root = id = 0;
    timenow = time(NULL);

    if (DoFloodCheck(tmp)) {
	tmp->lastmsg = timenow;
	return;
    } else
	tmp->lastmsg = timenow;

    if (tmp->reg) {
	registered = 1;
	if (tmp->reg->flags & NACTIVE) {
	    activated = 1;
	    if (isServop(tmp))
		servop = 1;
	    if (isRoot(tmp))
		root = 1;
	}
    }

    if (isOper(tmp))
	oper = 1;

    if (tmp->caccess > 2)
	id = 1;

    if (!strcmp(Service, NickServ))
	tabpointer = NSmsgtab;

    if (!strcmp(Service, ChanServ))
	tabpointer = CSmsgtab;

    if (!strcmp(Service, OperServ))
	tabpointer = OSmsgtab;

    if (!strcmp(Service, MemoServ))
	tabpointer = MSmsgtab;

    while (tabpointer[i].cmd) {
	if (!strcasecmp(tabpointer[i].cmd, args[0])) {
	    if ((tabpointer[i].flag & NEEDREGNICK) && !registered) {
		uSend(Service, tmp, GetReply(ERR_NEEDREGNICK, tmp));
		return;
	    } else if ((tabpointer[i].flag & NEEDACTNICK) && !activated) {
		uSend(Service, tmp, GetReply(ERR_NEEDACTNICK, tmp));
		return;
	    } else if ((tabpointer[i].flag & NEEDROOT) && !root) {
		uSend(Service, tmp, GetReply(ERR_NEEDSRA, tmp));
		return;
	    } else if ((tabpointer[i].flag & NEEDSERVOP) && !servop) {
		uSend(Service, tmp, GetReply(ERR_NEEDSERVOP, tmp));
		return;
	    } else if ((tabpointer[i].flag & NEEDOPER) && !oper) {
		uSend(Service, tmp, GetReply(ERR_NEEDOPER, tmp));
		return;
	    }

	    else if ((tabpointer[i].flag & NEEDID) && !id) {
		uSend(Service, tmp, GetReply(ERR_NEEDID, tmp));
		return;
	    }

	    if (tabpointer[i].params > numargs
		&& tabpointer[i].params != 0) {
		uSend(Service, tmp, GetReply(ERR_BADPARAMS, tmp));
		uSend(Service, tmp, GetReply(RPL_MOREHELPCMD, tmp),
		      Service, tabpointer[i].cmd);
		return;
	    }
#ifdef ANALYSE_FUNCTIONS
	    before = GetClock();
#endif
	    tabpointer[i].func(tmp, args, numargs);
#ifdef ANALYSE_FUNCTIONS
	    tabpointer[i].count++;
	    ticks = (GetClock() - before);
	    tabpointer[i].totaltime += ticks;
#endif
	    return;
	}
	i++;
    }

    uSend(Service, tmp, GetReply(ERR_UNKNOWNCOMMAND, tmp), args[0]);
    uSend(Service, tmp, GetReply(RPL_MOREHELP, tmp), Service);

    return;
}

#ifdef ANALYSE_FUNCTIONS
void NSdebug(UserList * tmp, char **args, int numargs)
{

    long average;
    int i = 0;

    uSend(NickServ, tmp, GetReply(RPL_DEBUGHEADER, tmp), NickServ);
    uSend(NickServ, tmp, GetReply(RPL_DEBUGLINE1, tmp), "Command", "Count",
	  "Total", "Average");

    while (NSmsgtab[i].cmd) {
	if (NSmsgtab[i].count > 0)
	    average = NSmsgtab[i].totaltime / NSmsgtab[i].count;
	else
	    average = 0;
	uSend(NickServ, tmp, GetReply(RPL_DEBUGLINE2, tmp),
	      NSmsgtab[i].cmd, NSmsgtab[i].count, NSmsgtab[i].totaltime,
	      average);
	i++;
    }

    uSend(NickServ, tmp, GetReply(RPL_DEBUGFOOTER, tmp));
    return;

}

void OSdebug(UserList * tmp, char **args, int numargs)
{

    long average;
    int i = 0;

    uSend(OperServ, tmp, GetReply(RPL_DEBUGHEADER, tmp), OperServ);
    uSend(OperServ, tmp, GetReply(RPL_DEBUGLINE1, tmp), "Command", "Count",
	  "Total", "Average");

    while (OSmsgtab[i].cmd) {
	if (OSmsgtab[i].count > 0)
	    average = OSmsgtab[i].totaltime / OSmsgtab[i].count;
	else
	    average = 0;
	uSend(OperServ, tmp, GetReply(RPL_DEBUGLINE2, tmp),
	      OSmsgtab[i].cmd, OSmsgtab[i].count, OSmsgtab[i].totaltime,
	      average);
	i++;
    }
    uSend(OperServ, tmp, GetReply(RPL_DEBUGFOOTER, tmp));
    return;

}

void MSdebug(UserList * tmp, char **args, int numargs)
{

    long average;
    int i = 0;

    uSend(MemoServ, tmp, GetReply(RPL_DEBUGHEADER, tmp), MemoServ);
    uSend(MemoServ, tmp, GetReply(RPL_DEBUGLINE1, tmp), "Command", "Count",
	  "Total", "Average");

    while (MSmsgtab[i].cmd) {
	if (MSmsgtab[i].count > 0)
	    average = MSmsgtab[i].totaltime / MSmsgtab[i].count;
	else
	    average = 0;
	uSend(MemoServ, tmp, GetReply(RPL_DEBUGLINE2, tmp),
	      MSmsgtab[i].cmd, MSmsgtab[i].count, MSmsgtab[i].totaltime,
	      average);
	i++;
    }

    uSend(MemoServ, tmp, GetReply(RPL_DEBUGFOOTER, tmp));
    return;

}

void CSdebug(UserList * tmp, char **args, int numargs)
{

    long average;
    int i = 0;

    uSend(ChanServ, tmp, GetReply(RPL_DEBUGHEADER, tmp), ChanServ);
    uSend(ChanServ, tmp, GetReply(RPL_DEBUGLINE1, tmp), "Command", "Count",
	  "Total", "Average");

    while (CSmsgtab[i].cmd) {
	if (CSmsgtab[i].count > 0)
	    average = CSmsgtab[i].totaltime / CSmsgtab[i].count;
	else
	    average = 0;
	uSend(ChanServ, tmp, GetReply(RPL_DEBUGLINE2, tmp),
	      CSmsgtab[i].cmd, CSmsgtab[i].count, CSmsgtab[i].totaltime,
	      average);
	i++;
    }

    uSend(ChanServ, tmp, GetReply(RPL_DEBUGFOOTER, tmp));
    return;

}

/* This one will return the time in microseconds -GZ */
long GetClock(void)
{

    long clocks;
    struct timeval *time;
    struct timezone *tz;

    time = &fcountt;
    tz = &fcountz;
    gettimeofday(time, tz);

    clocks = fcountt.tv_sec * 1000000 + fcountt.tv_usec;

    return clocks;
}
#endif

int DoFloodCheck(UserList * tmp)
{

    long timenow = time(NULL);

    if (tmp->flooder == 0) {
	if (tmp->floodbytes < 7500) {
	    if ((timenow - tmp->lastmsg) > 10)
		tmp->floodbytes = 0;
	    return 0;
	} else {
	    tmp->flooder = 1;
	    return 1;
	}
    }

    if ((timenow - tmp->lastmsg) < 10)
	return 1;
    else {
	tmp->floodbytes /= 2;
	if (tmp->floodbytes < 7500)
	    tmp->flooder = 0;
    }

    return 0;
}
