/*
 * Language handling core code
 *
 */

#include "services.h"
#include "languages/english.h"
#include "languages/dutch.h"
#include "languages/french.h"
#include "languages/german.h"
#include "languages/lcars.h"
#include "languages/spanish.h"
#include "languages/cajun.h"

struct LangTable LT[] = {
    {"English", 0, (struct FormatTable *) NULL},
    {"Dutch", 0, (struct FormatTable *) NULL},
    {"French", 0, (struct FormatTable *) NULL},
    {"German", 0, (struct FormatTable *) NULL},
    {"Lcars", 0, (struct FormatTable *) NULL},
    {"Spanish", 0, (struct FormatTable *) NULL},
    {"Cajun", 0, (struct FormatTable *) NULL},
    {"-", 0, (struct FormatTable *) NULL}
};

int LoadTables(void)
{

    int i, j, z;

    printf("Loading languages...\n");
    i = 0;
    while (LT[i].language[0] != '-') {
	printf("%s", LT[i].language);
	if (!strcmp(LT[i].language, "English"))
	    LT[i].numtable = EnglishReplies;
	if (!strcmp(LT[i].language, "Dutch"))
	    LT[i].numtable = DutchReplies;
	if (!strcmp(LT[i].language, "French"))
	    LT[i].numtable = FrenchReplies;
	if (!strcmp(LT[i].language, "German"))
	    LT[i].numtable = GermanReplies;
	if (!strcmp(LT[i].language, "Lcars"))
	    LT[i].numtable = LcarsReplies;
	if (!strcmp(LT[i].language, "Spanish"))
	    LT[i].numtable = SpanishReplies;
	if (!strcmp(LT[i].language, "Cajun"))
	    LT[i].numtable = CajunReplies;
	j = 0;
	while (LT[i].numtable[j].numeric != -1)
	    j++;
	z = LT[i].numtable[j - 1].numeric;
	printf("[%i]...\n", j);
	LT[i].numerics = --j;
	i++;
    }
    printf("\n");
    return 0;
}

char *GetReply(int numeric, UserList * nick)
{

    int language;

    if (nick->reg)
	language = nick->reg->language;
    else
	language = 0;

    if (numeric > LT[language].numerics)
	language = 0;

    if (numeric > LT[language].numerics)
	strcpy(retnum, "Unknown numeric requested...");
    else
	strcpy(retnum, LT[language].numtable[numeric].format);

    return retnum;
}

char *GetLanguage(UserList * nick)
{

    if (nick->reg)
	strcpy(retlanguage, LT[nick->reg->language].language);
    else
	strcpy(retlanguage, "English");

    return retlanguage;
}

struct LangTable *GetLanguageTab(void) 
{
	return(LT);
}
