
#include "services.h"

extern void doRegChanMode(RegChanList *);
extern void makeModeLockStr(RegChanList *, char *);
extern int countRegAddy(char *);
extern char *showchanoplevel(int);
extern int isFounder(RegChanList *, UserList *);
extern cAkickList *getChanAkick(RegChanList * chan, char *akick);
extern void createGhostChannel(char *);
extern void deleteGhostChannel(char *);

void WNregisterCmd(UserList *, char **, int);
void WnickCmd(UserList *, char **, int);
void WbanCmd(UserList *, char **, int);
void WunbanCmd(UserList *, char **, int);
void WkickCmd(UserList *, char **, int);
void WwhoisCmd(UserList *, char **, int);
void WchanmodeCmd(UserList *, char **, int);
void WinviteCmd(UserList *, char **, int);

void sendToWebServ(UserList * nick, char **args, int numargs)
{

    char *from = nick->nick;

    if (!strcmp(args[0], "\001PING")) {
	if (numargs < 3)
	    uSend(WebServ, nick, GetReply(RPL_PING1, nick), args[1]);
	else
	    uSend(WebServ, nick, GetReply(RPL_PING2, nick), args[1],
		  args[2]);
	return;
    }

    if (!strcasecmp(args[0], "HELP") && numargs == 1) {
	sendHelp(from, WebServ, NULL, 0);
	return;
    }

    else if (!strcasecmp(args[0], "HELP")) {
	sendHelp(from, WebServ, args, numargs);
	return;
    }
    
    if (!nick->webbie) {
	sSend
	    (":%s PRIVMSG %s :Your nick is not yet registered as a WebTV user. Please register first.",
	     WebServ, from);
	return;
    }
    
    else if (!strcasecmp(args[0], "WHOIS")) {
	WwhoisCmd(nick, args, numargs);
	return;
    }

    else if (!strcasecmp(args[0], "NICK")) {
	WnickCmd(nick, args, numargs);
	return;
    }

    else if (!strcasecmp(args[0], "KICK"))
    {
	WkickCmd(nick, args, numargs);
	return;
    }

    else if (!strcasecmp(args[0], "BAN")) {
	WbanCmd(nick, args, numargs);
	return;
    }

    else if (!strcasecmp(args[0], "UNBAN")) {
	WunbanCmd(nick, args, numargs);
	return;
    }
    
    else if (!match(args[0], "CHANMODE")) 
	WchanmodeCmd(nick, args, numargs);

    else if (!match(args[0], "INVITE")) {
	WinviteCmd(nick, args, numargs);
    }
    else {
	sSend (":%s PRIVMSG %s :%s is an unknown command to me. Please use /msg WebServ HELP or /join help for further information. ",WebServ,from,args[0]);
	return;
    }

}

BadNickList *firstBadNick = NULL;
BadNickList *lastBadNick = NULL;

void addBadNick (char *nickmask)
{
    BadNickList *newbad;

    if (!nickmask)
        return;

    newbad = smalloc (sizeof (BadNickList));
    strncpy (newbad->nickmask, nickmask, NICKLEN + 2);

    if (!firstBadNick) {
        firstBadNick = newbad;
        newbad->prev = NULL;
    } else {
        newbad->prev = lastBadNick;
        lastBadNick->next = newbad;
    }
    
    newbad->next = NULL;
    lastBadNick = newbad;
}

int isBadNick (char *nickmask)
{
    BadNickList *tmp;

    for (tmp = firstBadNick; tmp; tmp = tmp->next) {
         if (!match (nickmask, tmp->nickmask))
             return 1;
     }
    
     return 0;
}   

void WNregisterCmd(UserList * tmp, char **args, int numargs)
{

    char *from = tmp->nick;
    time_t doot = time(NULL);
    char sendfrom[80];
    int err;

    srandom(time(NULL));

    if (tmp->reg) {
	if (!tmp->reg->flags & NACTIVE) {
	    sSend
		(":%s PRIVMSG %s :Your nickname is already registered to activate it, \002/msg %s HELP ACTIVATE\002.",
		 WebServ, from, WebServ);
	    sSend(":%s PRIVMSG %s :-", WebServ, from);
	} else {
	    sSend(":%s PRIVMSG %s :Your nickname is already registered.",
		  WebServ, from);
	    sSend(":%s PRIVMSG %s :-", WebServ, from);
	}
	return;
    }

    if ((!strncasecmp(from, "Guest", 5)) || (!strcasecmp(from, "done")) ||
        (!strncasecmp(from, "SereneMIRC", 10)) || (!strncasecmp(from, "SerenePIRCH", 11))) {
	sSend
	    (":%s PRIVMSG %s :This nickname cannot be registered.  Please choose another.",
	     WebServ, from);
	sSend(":%s PRIVMSG %s :-", WebServ, from);
	return;
    }

    if (numargs < 3) {
	sSend
	    (":%s PRIVMSG %s :You must specify an e-mail address and a password to register",
	     WebServ, from);
	sSend(":%s PRIVMSG %s :-", WebServ, from);
	return;
    }
    if ((!strchr(args[1], '@')) || (strlen(args[1]) < 5)
	|| (strlen(args[1]) > EMAILLEN)) {
	sSend
	    (":%s PRIVMSG %s :Please specify a valid e-mail address in the form of user@host",
	     WebServ, from);
	sSend(":%s PRIVMSG %s :-", WebServ, from);
	return;
    }

    if (match(args[1], "*webtv.net*")) {
	sSend
	    (":%s PRIVMSG %s :Sorry, this service is for WebTV users only",
	     WebServ, from);
	sSend(":%s PRIVMSG %s :-", WebServ, from);
	return;
    }

    if ((15 < strlen(args[2])) || (4 > strlen(args[2]))) {
	sSend
	    (":%s PRIVMSG %s :Please specify a password that is between 4 to 15 characters long.",
	     WebServ, from);
	sSend(":%s PRIVMSG %s :-", WebServ, from);
	return;
    }

    if (countRegAddy(args[1]) >= NickLimit) {
	sSend(":%s PRIVMSG %s :You have too many nicks registered.",
	      WebServ, from);
	sSend(":%s PRIVMSG %s :-", WebServ, from);
	sSend(":%s GLOBOPS :%s (%s) is trying to register too many nicks.", WebServ, from, args[1]);
	return;
    }

    tmp->reg = smalloc(sizeof(RegNickList));
    bzero(tmp->reg, sizeof(RegNickList));
    strcpy(tmp->reg->nick, tmp->nick);
    strcpy(tmp->reg->user, tmp->user);
    strcpy(tmp->reg->host, tmp->host);
    sprintf(tmp->reg->password2, "%lu", (long) random());
    tmp->reg->timestamp = CTime;
    tmp->reg->timereg = CTime;
    tmp->reg->lastpwchange = CTime;
    tmp->reg->flags |= NREG;
    tmp->reg->flags2 |= NMSGMODE;
    tmp->caccess = 3;
    strcpy(tmp->reg->email, args[1]);
    strncpy(tmp->reg->password, args[2], 15);
    sprintf(sendfrom, "Nickname Services <%s@%s>", WebServ, NETHOST);
    err = sendMail(args[1], sendfrom, "Nickname activation key",
		   "\nYour nickname registration has been verified\n"
		   "To activate your nickname: switch to the nickname %s and\n"
		   "/msg %s ACTIVATE %s\n"
		   "%s is your activation key.  %s is your password.\n"
		   "Even when your  nickname is registered, Do not lose this PLEASE.\n\n"
		   "For additional help, try these commands:\n"
		   "     /msg %s HELP\n"
                   "     /msg %s HELP\n"
		   "\nNOTICE: This mail sent by: %s@%s at %s",
		   tmp->nick, NickServ, tmp->reg->password2,
		   tmp->reg->password2, tmp->reg->password, NickServ, WebServ,
		   tmp->user, tmp->host, ctime(&(doot)));
    if (!err) {
	sSend(":%s PRIVMSG %s :Registration key sent to %s", WebServ, from,
	      args[1]);
	sSend(":%s PRIVMSG %s :-", WebServ, from);
	logDump(nicklog, "%s!%s@%s: ACTIVATION key sent to '%s'\n", from,
		tmp->user, tmp->host, args[1]);
	addRegNick(tmp->reg);
    } else {
	sSend
	    (":%s PRIVMSG %s :Mail could not be sent due to %s address error",
	     WebServ, from, err == -2 ? "sender" : "recipient");
	sSend(":%s PRIVMSG %s :-", WebServ, from);
	sfree(tmp->reg);
	tmp->reg = NULL;
    }
    return;
}

void WwhoisCmd(UserList * tmp, char **args, int numargs)
{

    char *from = tmp->nick;
    UserList *err;

    if (numargs < 2) {
	sSend
	    (":%s PRIVMSG %s :You will need to supply a nickname for this command.",
	     WebServ, from);
	return;
    }

    if (!(err = getNickData(args[1]))) {
	sSend(":%s PRIVMSG %s :%s no such nick.", WebServ, from, args[1]);
	return;
    }

    if (isOper(err)) {
	sSend(":%s PRIVMSG %s :%s is %s!%s@IRCop.Serenity-IRC.Net (%s)",
	      WebServ, from, err->nick, err->nick, err->user,
	      err->realname);
	return;
    } else {
	sSend(":%s PRIVMSG %s :%s is %s!%s@%s (%s)", WebServ, from,
	      err->nick, err->nick, err->user, return_user_mask(err->host),
	      err->realname);
	return;
    }
}

void WkickCmd(UserList * nick, char **args, int numargs)
{
    char *from = nick->nick;
    int a;
    RegChanList *tmp;
    ChanList *chan;
    cNickList *tmpnick;

    char reason[1024];
    int i;

    if (numargs < 3) {
	sSend(":%s PRIVMSG %s :You must specify a channel and a nickname.",
	      WebServ, from);
	return;
    }


    reason[0] = '\0';

    if (numargs > 3) {
	for (i = 3; i < numargs; i++) {
	    strcat(reason, args[i]);
	    strcat(reason, " ");
	}
    }

    if (strlen(reason) > 200) {
	sSend(":%s PRIVMSG %s :Reason too long.", WebServ, from);
	return;
    }

    tmp = getRegChanData(args[1]);
    chan = getChanData(args[1]);

    if (!chan) {
	sSend(":%s PRIVMSG %s :No such channel.", WebServ, from);
	return;
    }
    if (!tmp) {
	sSend(":%s PRIVMSG %s :%s is not registered.", WebServ, from,
	      args[1]);
	return;
    }

    if ((tmp->flags & CFREEZE) && !isServop(nick)) {
	sSend(":%s PRIVMSG %s :Access denied. This channel is FROZEN.",
	      WebServ, from);
	return;
    }

    if (numargs > 2)
	tmpnick = getChanUserData(chan, getNickData(args[2]));
    else
	tmpnick = getChanUserData(chan, nick);

    if (!tmpnick) {
	sSend(":%s PRIVMSG %s :%s is not in %s", WebServ, from, args[2],
	      args[1]);
	return;
    }

    a = getChanOp(tmp, from);

    if (!a || !getChanOp(tmp, from)) {
	sSend(":%s PRIVMSG %s :Access denied", WebServ, from);
	return;
    }


    if (a < AOP) {
	sSend(":%s PRIVMSG %s :Access denied", WebServ, from);
	return;
    } else {
	if (numargs < 4) {
	    sSend(":%s KICK %s %s :Kicked by %s", WebServ, args[1],
		  args[2], from);
	} else {
	    sSend(":%s KICK %s %s :%s", WebServ, args[1], args[2], reason);
	}
	return;
    }
}

void WbanCmd(UserList * nick, char **args, int numargs)
{
    char *from = nick->nick;
    int a;
    RegChanList *tmp;
    ChanList *chan;

    if (numargs < 3) {
	sSend(":%s PRIVMSG %s :You must specify a channel and a mask.",
	      WebServ, from);
	return;
    }

    tmp = getRegChanData(args[1]);
    chan = getChanData(args[1]);

    if (!chan) {
	sSend(":%s PRIVMSG %s :No such channel.", WebServ, from);
	return;
    }
    if (!tmp) {
	sSend(":%s PRIVMSG %s :%s is not registered.", WebServ, from,
	      args[1]);
	return;
    }

    if ((tmp->flags & CFREEZE) && !isServop(nick)) {
	sSend(":%s PRIVMSG %s :Access denied. This channel is FROZEN.",
	      WebServ, from);
	return;
    }

    a = getChanOp(tmp, from);

    if (!a || !getChanOp(tmp, from)) {
	sSend(":%s PRIVMSG %s :Access denied", WebServ, from);
	return;
    }

    if (a < AOP) {
	sSend(":%s PRIVMSG %s :Access denied", WebServ, from);
	return;
    } else {
	sSend(":%s PRIVMSG %s :%s banned %s from %s", WebServ, args[1],
	      from, args[2], args[1]);
	sSend(":%s MODE %s +b %s", WebServ, args[1], args[2]);
	return;
    }
}

void WnickCmd(UserList * nick, char **args, int numargs)
{
    char *from = nick->nick;
    UserList *err;
    int find = 0;
    char *s = NULL;

    if (numargs < 2) {
	sSend(":%s PRIVMSG %s :You must specify a nickname.", WebServ,
	      from);
	return;
    }

    if ((err = getNickData(args[1]))) {
	sSend(":%s PRIVMSG %s :The nickname %s is already in use.",
	      WebServ, from, args[1]);
	return;
    }

    /* Here's a new additional check to scan for non-allowed ASCII chars */

    s = args[1];

    while (*s) {
	if ((*s!=45 && *s < 48) || *s > 125) {
	    find = 1;
	    break;
	} else if (*s > 57 && *s < 65) {
	    find = 1;
	    break;
	}
	s++;
    }

    if (find) {
	sSend
	    (":%s PRIVMSG %s :Illegal characters, please try another nickname.",
	     WebServ, from);
	return;
    }

    /* As this function uses SVSNICK they could use any nick they'd like in 
     * theory, even ones we'd rather not have them use. Let's check our 
     * BadNickList (from services.conf) to see if the nick is 'ok' or not.
     *   -- Remmy, 20020616 */
    if (isBadNick(args[1])) {
        sSend(":%s PRIVMSG %s :You're forbidden to use the nick %s. Please select another nickname.", WebServ, from, args[1]);
        return;
    }
    
    sSend(":%s PRIVMSG %s :Your nick is now %s", WebServ, from, args[1]);
    sSend(":%s SVSNICK %s %s %lu", myname, from, args[1], CTime);

    return;
}

void WunbanCmd(UserList * nick, char **args, int numargs)
{
    char *from = nick->nick;
    int a;
    RegChanList *tmp;
    ChanList *chan;

    if (numargs < 3) {
	sSend(":%s PRIVMSG %s :You must specify a channel and a mask.",
	      WebServ, from);
	return;
    }

    tmp = getRegChanData(args[1]);
    chan = getChanData(args[1]);

    if (!chan) {
	sSend(":%s PRIVMSG %s :No such channel.", WebServ, from);
	return;
    }
    if (!tmp) {
	sSend(":%s PRIVMSG %s :%s is not registered.", WebServ, from,
	      args[1]);
	return;
    }

    if ((tmp->flags & CFREEZE) && !isServop(nick)) {
	sSend(":%s PRIVMSG %s :Access denied. This channel is FROZEN.",
	      WebServ, from);
	return;
    }

    a = getChanOp(tmp, from);

    if (!a || !getChanOp(tmp, from)) {
	sSend(":%s PRIVMSG %s :Access denied", WebServ, from);
	return;
    }

    if (a < AOP) {
	sSend(":%s PRIVMSG %s :Access denied", WebServ, from);
	return;
    } else {
	sSend(":%s PRIVMSG %s :%s unbanned %s from %s", WebServ, args[1],
	      from, args[2], args[1]);
	sSend(":%s MODE %s -b %s", WebServ, args[1], args[2]);
	return;
    }
}

void WchanmodeCmd(UserList * nick, char **args, int numargs)
{
    char *from = nick->nick;
    int a;
    RegChanList *tmp;
    ChanList *chan;

    if (numargs < 3) {
	sSend(":%s PRIVMSG %s :You must specify a channel and a mode.",
	      WebServ, from);
	return;
    }

    tmp = getRegChanData(args[1]);
    chan = getChanData(args[1]);

    if (!chan) {
	sSend(":%s PRIVMSG %s :No such channel.", WebServ, from);
	return;
    }
    if (!tmp) {
	sSend(":%s PRIVMSG %s :%s is not registered.", WebServ, from,
	      args[1]);
	return;
    }

    if ((tmp->flags & CFREEZE) && !isServop(nick)) {
	sSend(":%s PRIVMSG %s :Access denied. This channel is FROZEN.",
	      WebServ, from);
	return;
    }

    a = getChanOp(tmp, from);

    if (!a || !getChanOp(tmp, from)) {
	sSend(":%s PRIVMSG %s :Access denied", WebServ, from);
	return;
    }

    if (a < AOP) {
	sSend(":%s PRIVMSG %s :Access denied", WebServ, from);
	return;
    } else {
	if (!strcasecmp(args[2], "INVITE")) {
	    sSend(":%s MODE %s +i", WebServ, args[1]);
	    sSend(":%s PRIVMSG %s :%s sets %s INVITE-ONLY.", WebServ,
		  args[1], from, args[1]);
	    doRegChanMode(tmp);
	} else if (!strcasecmp(args[2], "SECRET")) {
	    sSend(":%s PRIVMSG %s :%s sets %s SECRET.", WebServ, args[1],
		  from, args[1]);
	    sSend(":%s MODE %s +s", WebServ, args[1]);
	    doRegChanMode(tmp);
	} else if (!strcasecmp(args[2], "PRIVATE")) {
	    sSend(":%s PRIVMSG %s :%s sets %s PRIVATE.", WebServ, args[1],
		  from, args[1]);
	    sSend(":%s MODE %s +p", WebServ, args[1]);
	    doRegChanMode(tmp);
	    
	} else if (!strcasecmp(args[2], "MODERATE")) {
	    sSend(":%s PRIVMSG %s :%s sets %s MODERATE.", WebServ, args[1],
		  from, args[1]);
	    sSend(":%s MODE %s +m", WebServ, args[1]);
	    doRegChanMode(tmp);

	} else if (!strcasecmp(args[2], "OFF")) {
	    if ((tmp->flags & CFORCES)) {
		sSend(":%s PRIVMSG %s :Access denied.", WebServ, from);
		return;
	    }
	    sSend(":%s PRIVMSG %s :%s sets %s free of modes.", WebServ,
		  args[1], from, args[1]);
	    sSend(":%s MODE %s -sipm", WebServ, args[1]);
	    doRegChanMode(tmp);
	} else {
	    sSend(":%s PRIVMSG %s :Unknown chanmode", WebServ, from);
	}
	return;
    }
}

void WinviteCmd(UserList * nick, char **args, int numargs)
{
    char *from = nick->nick;
    RegChanList *chan;

    if (numargs < 2) {
	sSend(":%s PRIVMSG %s :You must specify a channel.", WebServ,
	      from);
	return;
    }

    chan = getRegChanData(args[1]);

    if (!chan) {
	sSend(":%s PRIVMSG %s :%s isn't registered", WebServ, from,
	      args[1]);
	return;
    }

    if ((chan->flags & CFREEZE) && !isServop(nick)) {
	sSend(":%s PRIVMSG %s :Access denied. This channel is FROZEN.",
	      WebServ, from);
	return;
    }

    if ((1 > getChanOp(chan, from)) && (!isOper(nick)))
	sSend(":%s PRIVMSG %s :Access denied", WebServ, from);
    else
	sSend(":%s INVITE %s :%s", WebServ, from, chan->name);
}

void WghostCmd(UserList * nick, char **args, int numargs)
{
    RegNickList *tmp;
    char *from = nick->nick;
    char ghoststr[80];
    int found_ghost = 0;

    if (numargs < 3) {
	sSend
	    (":%s PRIVMSG %s :You must specify a nick and its password to ghost it.",
	     WebServ, nick->nick);
	return;
    }

    if (!strcasecmp(nick->nick, args[1])) {
	sSend(":%s PRIVMSG %s :You cannot ghost yourself.", WebServ, from);
	return;
    }

    tmp = getRegNickData(args[1]);

    if (!tmp) {
	sSend(":%s PRIVMSG %s :%s is not registered.", WebServ, from,
	      args[1]);
	return;
    }

    found_ghost = isGhost(args[1]);

    if ((!found_ghost) && (!getNickData(args[1]))) {
	sSend(":%s PRIVMSG %s :%s is not online or a %s ghost.", WebServ,
	      from, args[1], WebServ);
	return;
    }

    if (strcasecmp(tmp->password, args[2])) {
	sSend(":%s PRIVMSG %s :Access Denied.", WebServ, from);
	return;
    }

    sSend(":%s PRIVMSG %s :%s has been Ghosted, have a nice day. :)",
	  WebServ, nick->nick, args[1]);

    if (found_ghost) {
	delGhost(args[1]);
	return;
    }

    sprintf(ghoststr, "Ghost by: %s", from);
    killUser(services[1], getNickData(args[1]), ghoststr);
    remUser(args[1]);
}
